Debian Bug report logs - #654924
ITP: tigervnc -- High-speed Virtual Network Computing (VNC)

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Fri, 6 Jan 2012 21:33:02 UTC

Owned by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Severity: wishlist

Merged with 650394

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Fri, 06 Jan 2012 21:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org.

Your message had a Version: pseudo-header with an invalid package version:

N/A; reported 2012-01-06

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Fri, 06 Jan 2012 21:33:05 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.debian.org
Subject: ITP: TigerVNC
Date: Fri, 06 Jan 2012 22:16:29 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Version: N/A; reported 2012-01-06
Severity: wishlist

* Package name : tigervnc
  Version : 1.1.90
  Upstream Author : Adam Tkac, Peter Åstrand, Pierre Ossman
* URL :  
http://sourceforge.net/apps/mediawiki/tigervnc/index.php?title=Main_Page
* License : LGPLv2+
  Description : High-performance, platform-neutral implementation of  
VNC  Virtual Network Computing)

TigerVNC is a high-performance, platform-neutral implementation of VNC  
(Virtual Network Computing), a client/server application that allows  
users to launch and interact with graphical applications on remote  
machines. TigerVNC provides the levels of performance necessary to run  
3D and video applications, and it attempts to maintain a common look  
and feel and re-use components, where possible, across the various  
platforms that it supports. TigerVNC also provides extensions for  
advanced authentication methods and TLS encryption.

TigerVNC was originally based on the (never-released) VNC 4 branch of  
TightVNC.

-- System Information
...

Below the "Description" line you should give more information about  
the package.

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'ITP: tigervnc -- some desc the ITPer didn't care to provide' from 'ITP: TigerVNC' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 21:28:34 GMT) Full text and rfc822 format available.

Owner recorded as Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:12:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: TigerVNC -- High-performance, platform-neutral' from 'ITP: tigervnc -- some desc the ITPer didn't care to provide' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.debian.org. (Tue, 10 Jan 2012 07:27:03 GMT) Full text and rfc822 format available.

Changed Bug title to '"ITP: TigerVNC -- High-performance, platform-neutral' from 'ITP: TigerVNC -- High-performance, platform-neutral' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.debian.org. (Tue, 10 Jan 2012 07:45:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: TigerVNC -- High-performance, platform-neutral \' from '"ITP: TigerVNC -- High-performance, platform-neutral' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.debian.org. (Tue, 10 Jan 2012 07:57:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: TigerVNC -- High-performance, platform-neutral implementation of VNC (Virtual Network Computing)' from 'ITP: TigerVNC -- High-performance, platform-neutral \' Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.debian.org. (Tue, 10 Jan 2012 08:09:19 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: tigervnc -- High-performance, platform-neutral implementation of VNC (Virtual Network Computing)' from 'ITP: TigerVNC -- High-performance, platform-neutral implementation of VNC (Virtual Network Computing)' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Wed, 11 Jan 2012 00:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Tue, 21 Feb 2012 22:16:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Tue, 21 Feb 2012 22:16:05 GMT) Full text and rfc822 format available.

Message #24 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 654924@bugs.debian.org, Antoine Martin <antoine@nagafix.co.uk>
Subject: Fwd: Re: TigerVNC 1.0.90 src debs
Date: Tue, 21 Feb 2012 22:50:21 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hey Mike,

fyi, regarding your ITP for tigervnc. I don't think that Antoine has
done anything in this regard. But you might ask or use my package as
basis for yours. I have already applied some fixes from redhat ontop
of the original tigervnc sources. The stuff is all versioned via git
so you can tell what changes I have applied.

Regards,
Joachim

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=654924

- -------- Original-Nachricht --------
Betreff: Re: TigerVNC 1.0.90 src debs
Datum: Sat, 17 Sep 2011 20:10:30 +0700
Von: Antoine Martin <antoine@nagafix.co.uk>
An: Joachim Falk <joachim.falk@gmx.de>

Hi,

Thanks for this, I was meant to do this ages ago and really dropped
the ball on this one.
I'll take a look asap.

Cheers
Antoine

On 09/17/2011 07:40 PM, Joachim Falk wrote:
> Am 23.05.2011 10:19, schrieb Antoine Martin:
>> Hi Joachim,
>
>> Joachim Falk wrote:
>>> Dear Antoine, you provide some binary debs
>>>
>>> "http://winswitch.org/dists/squeeze/main/"
>>>
>>> for debian-squeeze for TigerVNC 1.0.90. However, I seem to be
>>> incapable of finding the corresponding src debs for the
>>> binaries. Could you point me in the correct direction? I want
>>> to tinker a bit with the built options for Xvnc4.
>
>> I am afraid that those builds are hacked using bash scripts and
>> are probably wrong. See the recent discussion about how Xvnc
>> should be build against the host headers rather than using the
>> build-xorg script which is in the source. I keep meaning to do
>> things right, but I just don't have the time at present...
> Hi Antoine,
>
> it took me some time, but I finally got around to make some debs of
> my own. They should build tigervnc properly. Maybe you can use them
> as basis for some semi official version.
>
> http://xiao.jfalk.de/~joachim/tigervnc <= Look here
>
> Cheers, Joachim
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPRBGYAAoJEIjUIAk+3OYMIuIP/0fLBlK2lQUC4TXtBnBnSFQq
0zE1ICYUiKxzx/BUhXGArYcypEaxk1ris0S98gFwjHOAccVODOij2ASW0FbUMP42
wTBKvjETlGwMmy6OxR4pf1DXUmI7HG9bAlIunzDhCbXnzwzH4Npi3rZVPtZuGMDj
g0DVBioLtPJxuiJ+6nas6N7STkIN9Yn9dwU2f0IAuMNb9HAf1tCYSpBKz8PmSlga
u5Qj/0gLVc+pTF+tYOI1JkWRB4hn5ss0+7REi1kLjr91SXcsckXyKRQlckR+xXbE
cI5bdoLZjpJjnlyE6dbMC/gXAir+FBPikllRS88zILwaG5aE0A+JVCCXt/3nVwQZ
u0lI4pXviUNf1bZ5MkNoQsEBfbEhOHoW2qDf/h6bR2gdvFif5nTEpAMZ9I6zhdu/
QVSwJyhh8VgYC6FZOinGrYmb0S7lwqFHuyuZOxJrBioga2IBzFi44fjDZ89z1BQ3
thKnf8U2oaCekZ/yobg7D3I6V5lkyd31DyDMCcyXRRYTwr4spscrf9pVBCOwZb51
r4YVib972ut1RkkPCOmLYKhqTjtGfiyW6n3p85T2hS2UNbO7Lycc4dVGyTADwf3n
9g/KBLMKB9ZQHHBkZL+zNgHTUAaTFc9K+vL11a1a/Vjf1ZZOGuJTlT74qrbP1yBc
e9NSAxPnQadgPyhF4Opi
=9qVt
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Tue, 21 Feb 2012 22:16:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 21 Feb 2012 22:16:07 GMT) Full text and rfc822 format available.

Message #29 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: 654924@bugs.debian.org, Antoine Martin <antoine@nagafix.co.uk>
Subject: Re: Fwd: Re: TigerVNC 1.0.90 src debs
Date: Tue, 21 Feb 2012 23:00:27 +0100
[Message part 1 (text/plain, inline)]
Hi Joachim,

On Di 21 Feb 2012 22:50:21 CET Joachim Falk wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Hey Mike,
>
> fyi, regarding your ITP for tigervnc. I don't think that Antoine has
> done anything in this regard. But you might ask or use my package as
> basis for yours. I have already applied some fixes from redhat ontop
> of the original tigervnc sources. The stuff is all versioned via git
> so you can tell what changes I have applied.
>
> Regards,
> Joachim

I see you do not rely on libjpeg-turbo. I actually am waiting for  
libjpeg-turbo (fabo@debian.org is packaging them) to enter Debian sid.

Maybe I should build the package without. Hmmm...

Thanks+Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Tue, 21 Feb 2012 22:16:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Tue, 21 Feb 2012 22:16:09 GMT) Full text and rfc822 format available.

Message #34 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 654924@bugs.debian.org, Antoine Martin <antoine@nagafix.co.uk>
Subject: Re: Fwd: Re: TigerVNC 1.0.90 src debs
Date: Tue, 21 Feb 2012 23:08:03 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 21.02.2012 23:00, schrieb Mike Gabriel:
> Hi Joachim,
> 
> On Di 21 Feb 2012 22:50:21 CET Joachim Falk wrote:
> 
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1
>>
>> Hey Mike,
>>
>> fyi, regarding your ITP for tigervnc. I don't think that Antoine has
>> done anything in this regard. But you might ask or use my package as
>> basis for yours. I have already applied some fixes from redhat ontop
>> of the original tigervnc sources. The stuff is all versioned via git
>> so you can tell what changes I have applied.
>>
>> Regards,
>> Joachim
> 
> I see you do not rely on libjpeg-turbo. I actually am waiting for
> libjpeg-turbo (fabo@debian.org is packaging them) to enter Debian sid.
> 
> Maybe I should build the package without. Hmmm...
Well. I packaged the stuff for squeeze. My version is not able
to do real time transmission on a 1900x1200 display. I don't know
if libjpeg-turbo will be able to. However, at least with the version
I have built it is again possible to execute a kde session under Xvnc.

P.S.: I update the version on xiao with the latest packages I built myself.

tigervnc (1.1.0-2jf) stable; urgency=low

  * Added RH patch tigervnc11-ldnow.patch disabling lazy symbol
resolution for libvnc.so

  * Added RH patch tigervnc11-rh690245.patch which add TLS encryption to
VeNCrypt

      TigerVNC (Xvnc, x0vncserver, the libvnc.so module, and vncviewer) now
      supports TLS encryption (using VeNCrypt) which allows TLS encrypted
      communication between a server and a viewer. (BZ#653491)

  * Added RH patch tigervnc11-rh588342.patch which fixes EQ overflowing bug.

      Xvnc could become unresponsive and the following error message was
shown
      in the log: "[mi] EQ overflowing. The server is probably stuck in an
      infinite loop.". This was caused by a large number of user input
events
      in the Xvnc event queue, which were being processed too slowly. With
      this update, this issue no longer occurs and the system works as
      expected. (BZ#588342)

  * Add RH patch tigervnc11-rh628054-xorg.patch which fixes vmware
keyboard interaction bug.

      Prior to this update, Xvnc (the X VNC server; part of the tigervnc
      package) did not pass keyboard input to a remote VMware workstation
      because it did not take into account types of keyboards which do not
      have modifier keys. With this update, Xvnc recognizes all types of
      keyboards; thus, keyboard input is correctly passed to remote VMware
      workstations. (BZ#628054)

  * Add RH patch tigervnc11-rh645755.patch fix signal interrupted read

      The Xvnc server randomly refused connections when the reading of the
      password file (provided when starting Xvnc with the "-PasswordFile"
      option) was interrupted by a signal. With this update, the loading
of a
      password file continues after an interrupt signal is issued and
      connections are no longer refused. (BZ#645755)

  * Apply RH patch tigervnc-viewer-reparent.patch which adds vncviewer
embedding support via -Parent option.

  * Apply RH patch tigervnc-102434.patch which adds -passwdInput option
to vncviewer.

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 13 Oct 2011 20:12:48 +0200

> 
> Thanks+Greets,
> Mike

Regards,
Joachim
- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPRBW9AAoJEIjUIAk+3OYM5TwP/Am46x4gWrVGyoV8jx2KOvEX
Oz8P8d1np3+WEoPM8/HDA+wgSLdeIjBj9hgGNLbdWIW1u4XtlX9rqe6vVsdH2sF3
Ku7sjSIIvzU8Y9vzRTGboQnscagpjBZt1h1Mm++2j/eSWBnal/Y6bjvieekrTYQb
laIm4pVi93rwbE5oYI/aMF5rdAdvoK/ShnAIz2sLUea/2E12TtKLSa2IvVVkU6gM
Qi7gLhdhy1uOzTKDnQAGlk0usQ8BDLIiDI3/MZa3zldqLaiiwawrTo4E3AOc5jg5
73/c65LvGa+g6Cis6qSQwWUB+ErXapx6ZN/4cCaA3a8J788vTNYBBKtHx2c5cRBO
vLEslcwz+LlrVGgZyJAB4SyQyQHQneFSJRXa0xxUAxJYxb0VQ+iSsZ8Uc7kEkOA1
PvXtGrH5UxOPvCMjXO+5wsr60i3eHJ9d709P9s2LUjd4QRzVT8hBlCcl6JS9z9LY
u82/GzeQPXwMmwD2GT9ShfT7lpd8BAo/8YdcOrq6dxp7oV7v9FKxKfR+1WVzmnK4
QNLJVTSccYPA9W2fmMfOWZtayDz0Uw9msCy84dOpxwWPJp6KJKW4qdRbY5n6bHd2
fUF+UctL7SfF/V65lkobvj7zWQSe1qR4XTxWzThX8x5ZoV6Ui/yCteR24VttUiX6
UXtFmAskx1O9l71x2xcM
=hMAj
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Tue, 21 Feb 2012 23:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Tue, 21 Feb 2012 23:15:05 GMT) Full text and rfc822 format available.

Message #39 received at 654924@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Laszlo Boszormenyi <gcs@debian.hu>, Ola Lundqvist <ola@inguza.com>, 654924@bugs.debian.org, 650394@bugs.debian.org
Subject: Re: Fwd: Processed (with 1 errors): merge 650394 654924
Date: Tue, 21 Feb 2012 18:12:36 -0500
great to see the packaging going forward -- I don't mind a 'force-merge'
of these two buddies -- any objections?

and great to hear that libjpeg-turbo is just few steps behind (although the
promise to upload in few days seems still not be fulfilled since Jan)

any plans on making debian source (and binary) packages lintian free? ;-)

here is a current summary:

$> lintian tigervnc_1.1.0-2jf.dsc
W: tigervnc source: native-package-with-dash-version
W: tigervnc source: diff-contains-git-control-dir .git
W: tigervnc source: package-needs-versioned-debhelper-build-depends 8
W: tigervnc source: maintainer-also-in-uploaders
W: tigervnc source: quilt-build-dep-but-no-series-file
W: tigervnc source: patch-system-but-no-source-readme
E: tigervnc source: missing-build-dependency cdbs
W: tigervnc source: out-of-date-standards-version 3.8.4 (current is 3.9.2)

and if only all those patches picked up from upstream sources were moved
into debian/patches under quilt control... if you need help with that -- let me
know, and commit all changes, make git repository publicly available (we could
create one on alioth or anytime on github meanwhile)

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Wed, 22 Feb 2012 05:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Wed, 22 Feb 2012 05:45:05 GMT) Full text and rfc822 format available.

Message #44 received at 654924@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: Joachim Falk <joachim.falk@gmx.de>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Laszlo Boszormenyi <gcs@debian.hu>, Ola Lundqvist <ola@inguza.com>, 654924@bugs.debian.org, 650394@bugs.debian.org
Subject: Re: Fwd: Processed (with 1 errors): merge 650394 654924
Date: Wed, 22 Feb 2012 06:40:31 +0100
Hi

I think this is great that you help with the packaging. I'm happy
to help if you want to.

Best regards,

// Ola

On Tue, Feb 21, 2012 at 06:12:36PM -0500, Yaroslav Halchenko wrote:
> great to see the packaging going forward -- I don't mind a 'force-merge'
> of these two buddies -- any objections?
> 
> and great to hear that libjpeg-turbo is just few steps behind (although the
> promise to upload in few days seems still not be fulfilled since Jan)
> 
> any plans on making debian source (and binary) packages lintian free? ;-)
> 
> here is a current summary:
> 
> $> lintian tigervnc_1.1.0-2jf.dsc
> W: tigervnc source: native-package-with-dash-version
> W: tigervnc source: diff-contains-git-control-dir .git
> W: tigervnc source: package-needs-versioned-debhelper-build-depends 8
> W: tigervnc source: maintainer-also-in-uploaders
> W: tigervnc source: quilt-build-dep-but-no-series-file
> W: tigervnc source: patch-system-but-no-source-readme
> E: tigervnc source: missing-build-dependency cdbs
> W: tigervnc source: out-of-date-standards-version 3.8.4 (current is 3.9.2)
> 
> and if only all those patches picked up from upstream sources were moved
> into debian/patches under quilt control... if you need help with that -- let me
> know, and commit all changes, make git repository publicly available (we could
> create one on alioth or anytime on github meanwhile)
> 
> -- 
> =------------------------------------------------------------------=
> Keep in touch                                     www.onerussian.com
> Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic
> 

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Wed, 22 Feb 2012 09:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Martin <antoine@nagafix.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Wed, 22 Feb 2012 09:27:12 GMT) Full text and rfc822 format available.

Message #49 received at 654924@bugs.debian.org (full text, mbox):

From: Antoine Martin <antoine@nagafix.co.uk>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 654924@bugs.debian.org
Subject: Re: Fwd: Re: TigerVNC 1.0.90 src debs
Date: Wed, 22 Feb 2012 16:15:59 +0700
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi all,

Joachim's work is much better than the hacked packages I have put
together. Sorry I still haven't been able to use this as a base to
provide better/newer versions. The reason is that despite a number of
important shortcomings in the packages I have put out, they do what I
need them to do... so there isn't much of an incentive for me to spend
more time fighting with packaging issues.
You probably want to keep the tigervnc list informed so that the
newer/better packages can be linked from their homepage instead of mine.

Cheers
Antoine



On 02/22/2012 04:50 AM, Joachim Falk wrote:
> Hey Mike,
> 
> fyi, regarding your ITP for tigervnc. I don't think that Antoine
> has done anything in this regard. But you might ask or use my
> package as basis for yours. I have already applied some fixes from
> redhat ontop of the original tigervnc sources. The stuff is all
> versioned via git so you can tell what changes I have applied.
> 
> Regards, Joachim
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=654924
> 
> -------- Original-Nachricht -------- Betreff: Re: TigerVNC 1.0.90
> src debs Datum: Sat, 17 Sep 2011 20:10:30 +0700 Von: Antoine Martin
> <antoine@nagafix.co.uk> An: Joachim Falk <joachim.falk@gmx.de>
> 
> Hi,
> 
> Thanks for this, I was meant to do this ages ago and really
> dropped the ball on this one. I'll take a look asap.
> 
> Cheers Antoine
> 
> On 09/17/2011 07:40 PM, Joachim Falk wrote:
>> Am 23.05.2011 10:19, schrieb Antoine Martin:
>>> Hi Joachim,
> 
>>> Joachim Falk wrote:
>>>> Dear Antoine, you provide some binary debs
>>>> 
>>>> "http://winswitch.org/dists/squeeze/main/"
>>>> 
>>>> for debian-squeeze for TigerVNC 1.0.90. However, I seem to
>>>> be incapable of finding the corresponding src debs for the 
>>>> binaries. Could you point me in the correct direction? I
>>>> want to tinker a bit with the built options for Xvnc4.
> 
>>> I am afraid that those builds are hacked using bash scripts
>>> and are probably wrong. See the recent discussion about how
>>> Xvnc should be build against the host headers rather than using
>>> the build-xorg script which is in the source. I keep meaning to
>>> do things right, but I just don't have the time at present...
>> Hi Antoine,
> 
>> it took me some time, but I finally got around to make some debs
>> of my own. They should build tigervnc properly. Maybe you can use
>> them as basis for some semi official version.
> 
>> http://xiao.jfalk.de/~joachim/tigervnc <= Look here
> 
>> Cheers, Joachim
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk9Esk4ACgkQGK2zHPGK1rufUgCffaUR/uNbb5nOrcvx1jFcScpH
0NoAniLKA96cIlcYdpp1k+pYnJTFlxG3
=icof
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Thu, 23 Feb 2012 07:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 23 Feb 2012 07:45:06 GMT) Full text and rfc822 format available.

Message #54 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org
Cc: Antoine Martin <antoine@nagafix.co.uk>
Subject: Re: Bug#654924: Fwd: Re: TigerVNC 1.0.90 src debs
Date: Thu, 23 Feb 2012 08:40:16 +0100
[Message part 1 (text/plain, inline)]
Hi Joachim,

On Di 21 Feb 2012 23:08:03 CET Joachim Falk wrote:


> P.S.: I update the version on xiao with the latest packages I built myself.

I have looked at your package this morning.

Two major issues occur:

 o the patches have been applied directly on top of the code, I would rather
   prefer using a patch system (quilt), can you post the source for the
   patch files?
 o I wonder, why you have not used the cmake build environment provided
   by upstream

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Thu, 23 Feb 2012 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Thu, 23 Feb 2012 10:51:15 GMT) Full text and rfc822 format available.

Message #59 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 654924@bugs.debian.org
Subject: Re: Bug#654924: Fwd: Re: TigerVNC 1.0.90 src debs
Date: Thu, 23 Feb 2012 11:47:45 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 23.02.2012 08:40, schrieb Mike Gabriel:
> Hi Joachim,
> 
> On Di 21 Feb 2012 23:08:03 CET Joachim Falk wrote:
> 
> 
>> P.S.: I update the version on xiao with the latest packages I built
>> myself.
> 
> I have looked at your package this morning.
> 
> Two major issues occur:
> 
>  o I wonder, why you have not used the cmake build environment provided
>    by upstream
Tigervnc 1.1.0 still had a configure built system at that time. And I
was not familiar with the cdbs cmake class.

>  o the patches have been applied directly on top of the code, I would
> rather
>    prefer using a patch system (quilt), can you post the source for the
>    patch files?
Hmm. Wait a bit. At the moment I am at work. Maybe this evening I have
time to update my package to tigervnc 1.1.90. I already began yeasterday
with this. And you are right there is now only cmake. I have begun
to integrate the xorg server and the tigervnc sources into their own
subdirs as git projects and svn checkouts. The quilt problem runs much
deeper. Quilt for the toplevel project is no problem I think. However,
the xorg tree has its own quilt files which have to be applied too.

> Thanks,
> Mike

Regards,
Joachim
- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPRhlOAAoJEIjUIAk+3OYMR4cP/1u7UVpMvBFC90XfOaxDLqGU
aKQL9wIt4Re4zCKDH//i/oBAtMTiagXL+OHXSde7MMQ0yOU0JJJyrejBu7o9EYEm
kxDexZO+Q1JLEdhIFVN9KqB4umrGmSbRMAcGO8WfU06Ye9hYopYuQISPnZ6/kCZM
7y39T/kBCdQwRvf135rXThcXT9pkOhiwywxIv71RfKQIUVf9pyEoGAPPBCYUPSd3
5erKHGSULKW1oKCRfJmhyTGgqh6gMju3kZBWQbdiihBmSc4IofJF6LwQpaX9Fd62
HlutiAhFtQ1I6Ww7IkYIkl2yjWPp1Me1DYQK9OCUgEnFmWtw7w9GaGScYbRgJCMF
bSYKIFyNsycGVYMjbJGWB5Y/1Jn6GcfEES9pmzYsSAiwIlpSwkAwHLYTtMCbM8vV
fdhDYgBBipveYvCu0N0UAGkbltey49YeUweC3B/2S4b3EFBgPtBUbCom/X3S0Skn
wNWgajSyfYNwH9ZnPc5BG3b/D7094A7vFgmyYFll3l1EV9cOxHyJ5p0HrvbmH++v
ty9BavGfh5/NNjk2y6cRuR3WE4NXaeOgZmTaBFtuF+Xwbiqt0OAdKjbabOamxWSt
YtNjLIMtBS2H5zVII9oH165j3jAOJBVkC/JY4XPmU19rB2IG1VD2yfRkef3ZI6Tz
/SwUW/Jt84XcItuTylUL
=M8J/
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Thu, 23 Feb 2012 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 23 Feb 2012 12:45:04 GMT) Full text and rfc822 format available.

Message #64 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org
Subject: Re: Bug#654924: Fwd: Re: TigerVNC 1.0.90 src debs
Date: Thu, 23 Feb 2012 13:04:55 +0100
[Message part 1 (text/plain, inline)]
Hi Joachim,

On Do 23 Feb 2012 11:47:45 CET Joachim Falk wrote:

> Hmm. Wait a bit. At the moment I am at work. Maybe this evening I have
> time to update my package to tigervnc 1.1.90. I already began yeasterday
> with this. And you are right there is now only cmake. I have begun
> to integrate the xorg server and the tigervnc sources into their own
> subdirs as git projects and svn checkouts. The quilt problem runs much
> deeper. Quilt for the toplevel project is no problem I think. However,
> the xorg tree has its own quilt files which have to be applied too.

Hang on. I would love to prepare the package via Git on  
git.debian.org. I am about to commit (at the weekend, probably) a  
version that is based on 1.1.90 and uses quilt and cmake via cdbs.

Do you have an account on Alioth? I really want to recommend package  
development under Git.

Thanks!
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Mon, 27 Feb 2012 22:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Mon, 27 Feb 2012 22:33:05 GMT) Full text and rfc822 format available.

Message #69 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 654924@bugs.debian.org
Subject: Re: Bug#654924: Fwd: Re: TigerVNC 1.0.90 src debs
Date: Mon, 27 Feb 2012 23:30:51 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 23.02.2012 20:00, schrieb Joachim Falk:
> Am 23.02.2012 13:04, schrieb Mike Gabriel:
>> Hi Joachim,
> 
>> On Do 23 Feb 2012 11:47:45 CET Joachim Falk wrote:
> 
>>> Hmm. Wait a bit. At the moment I am at work. Maybe this evening I have
>>> time to update my package to tigervnc 1.1.90. I already began yeasterday
>>> with this. And you are right there is now only cmake. I have begun
>>> to integrate the xorg server and the tigervnc sources into their own
>>> subdirs as git projects and svn checkouts. The quilt problem runs much
>>> deeper. Quilt for the toplevel project is no problem I think. However,
>>> the xorg tree has its own quilt files which have to be applied too.
> 
>> Hang on. I would love to prepare the package via Git on git.debian.org.
>> I am about to commit (at the weekend, probably) a version that is based
>> on 1.1.90 and uses quilt and cmake via cdbs.
> 
>> Do you have an account on Alioth? I really want to recommend package
>> development under Git.
Did you create your version on Alioth?

> Well git is a distributed version control system ;)
> 
> git clone http://xiao.jfalk.de/~joachim/tigervnc/tigervnc.git
Mine is as denoted above. It is still not fully functional. But
the patch system is finalized. Some patches from my tigervnc 1.1.0 deb
are already applied. The tigervnc and xorg tree integration is mostly
finished. I still seem to have a problem with the generation of the
automake/autoconf build files for the xorg tree.

> 
>> Thanks!
>> Mike
> 
> Regards,
> Joachim

Regards,
Joachim
- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPTAQOAAoJEIjUIAk+3OYMNz0P/05zfOvC7wdxVBGqLtNKEw/z
RjqxiBB87O18R3/BwhmcZSNX6+XJwn8CfmUMLFvPG4d5q5bOK0Bi8QnxQI4pHZLs
/nruHrY1VhUsyx3XSbUo9+QXyyAlGPX/WW3V/pU9jpySNXbZMpCcPtddVh0YvHwW
JF9kKHoa+bmCUq31P38Dm54Lx56Fnr1ALlwkZloCMilqrHYvyw7+GifM5SxfgHwK
sqlQB0mPbC5jboGTsVMm9hUeBDA+X27wUddxWZB8eYwsXmB/2v45AWY9GKNT1InF
iDtpVmM1fo9+fSXwqwTaJ7wyRKwOmORcLbMZ2EM/o1k7Ha6IrsXd1NZLb8HKhnKB
hC8b3Mv5diru/lt7MBJgLUdGf1mh1wq2feaNzznJh9ld86Kt87kBD0Roc4K2mKYE
Np4+rpLTHbF6bOPmSpfjXAEZCIQObJT/MlInz+mhdyxsDash2GfIXwy20yofjWBL
go++vxiUCB5UH8p4pBfj4KPrPamLUCxCSOZ3oC5hFfyCvLfDcB1Xyt7FZCcdGLya
/UFET48HqLrUEueNfIYmoJxqEk5TVf5O5aY55RazKaySg79S1SEc3DonuGx+07TU
Esp32pS8Nez7ViwQtnPg4BDmmmUUhcbQu+RuJ3t6rpUpvMcm7VD2tDSHRJaWo5pV
5wO3ZAvQD/SbCuDlJrDa
=7fOs
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Wed, 29 Feb 2012 14:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 29 Feb 2012 14:03:06 GMT) Full text and rfc822 format available.

Message #74 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org
Subject: Re: Bug#654924: Fwd: Re: TigerVNC 1.0.90 src debs
Date: Wed, 29 Feb 2012 15:01:51 +0100
[Message part 1 (text/plain, inline)]
Hi Joachim,

On Mo 27 Feb 2012 23:30:51 CET Joachim Falk wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Am 23.02.2012 20:00, schrieb Joachim Falk:
>> Am 23.02.2012 13:04, schrieb Mike Gabriel:
>>> Hi Joachim,
>>
>>> On Do 23 Feb 2012 11:47:45 CET Joachim Falk wrote:
>>
>>>> Hmm. Wait a bit. At the moment I am at work. Maybe this evening I have
>>>> time to update my package to tigervnc 1.1.90. I already began yeasterday
>>>> with this. And you are right there is now only cmake. I have begun
>>>> to integrate the xorg server and the tigervnc sources into their own
>>>> subdirs as git projects and svn checkouts. The quilt problem runs much
>>>> deeper. Quilt for the toplevel project is no problem I think. However,
>>>> the xorg tree has its own quilt files which have to be applied too.
>>
>>> Hang on. I would love to prepare the package via Git on git.debian.org.
>>> I am about to commit (at the weekend, probably) a version that is based
>>> on 1.1.90 and uses quilt and cmake via cdbs.
>>
>>> Do you have an account on Alioth? I really want to recommend package
>>> development under Git.
> Did you create your version on Alioth?
>
>> Well git is a distributed version control system ;)
>>
>> git clone http://xiao.jfalk.de/~joachim/tigervnc/tigervnc.git
> Mine is as denoted above. It is still not fully functional. But
> the patch system is finalized. Some patches from my tigervnc 1.1.0 deb
> are already applied. The tigervnc and xorg tree integration is mostly
> finished. I still seem to have a problem with the generation of the
> automake/autoconf build files for the xorg tree.
>

I'd suggest to sync your Git to Alioth and continue/collaborate there.  
Do you have an account on Alioth? If not, I'd suggest registering and  
then apply for membership in the group ,,collab-maint''.

Thanks+Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sun, 04 Mar 2012 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sun, 04 Mar 2012 13:45:07 GMT) Full text and rfc822 format available.

Message #79 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 654924@bugs.debian.org
Subject: Re: Bug#654924: Fwd: Re: TigerVNC 1.0.90 src debs
Date: Sun, 04 Mar 2012 14:42:50 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 29.02.2012 15:01, schrieb Mike Gabriel:
> Hi Joachim,
> 
> On Mo 27 Feb 2012 23:30:51 CET Joachim Falk wrote:
> 
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1
>>
>> Am 23.02.2012 20:00, schrieb Joachim Falk:
>>> Am 23.02.2012 13:04, schrieb Mike Gabriel:
>>>> Hi Joachim,
>>>
>>>> On Do 23 Feb 2012 11:47:45 CET Joachim Falk wrote:
>>>
>>>>> Hmm. Wait a bit. At the moment I am at work. Maybe this evening I have
>>>>> time to update my package to tigervnc 1.1.90. I already began
>>>>> yeasterday
>>>>> with this. And you are right there is now only cmake. I have begun
>>>>> to integrate the xorg server and the tigervnc sources into their own
>>>>> subdirs as git projects and svn checkouts. The quilt problem runs much
>>>>> deeper. Quilt for the toplevel project is no problem I think. However,
>>>>> the xorg tree has its own quilt files which have to be applied too.
>>>
>>>> Hang on. I would love to prepare the package via Git on git.debian.org.
>>>> I am about to commit (at the weekend, probably) a version that is based
>>>> on 1.1.90 and uses quilt and cmake via cdbs.
>>>
>>>> Do you have an account on Alioth? I really want to recommend package
>>>> development under Git.
>> Did you create your version on Alioth?
>>
>>> Well git is a distributed version control system ;)
>>>
>>> git clone http://xiao.jfalk.de/~joachim/tigervnc/tigervnc.git
>> Mine is as denoted above. It is still not fully functional. But
>> the patch system is finalized. Some patches from my tigervnc 1.1.0 deb
>> are already applied. The tigervnc and xorg tree integration is mostly
>> finished. I still seem to have a problem with the generation of the
>> automake/autoconf build files for the xorg tree.
>>
> 
> I'd suggest to sync your Git to Alioth and continue/collaborate there.
> Do you have an account on Alioth? If not, I'd suggest registering and
> then apply for membership in the group ,,collab-maint''.
Ok, I have registered as jfalk-guest and applied for the project
pkg-tigervnc. Between, I fixed all the built errors for Xvnc.
Now the install stage has a problem. Furthermore, we will need
to modify the tigervnc configuration to use an external fltk if
possible. I think, we also need to check what else tigervnc uses from
internal sources.

> 
> Thanks+Greets,
> Mike

Regards,
Joachim
- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPU3FRAAoJEIjUIAk+3OYMH00QAI9F7bgRdt5vz0qdHTpw362j
Qg3qoL25dHQZiJQb7vqWRiRrq4dYFp5xpBSl+Ty+/LbW5xthqPqhXE9zkbvVL1SZ
Vw1Jr/nRmODUDmxzpfXvWt3mh4pX+kKGvIJU3h1vQRO7hET2PC7oq/geyRgolnj9
dhAhB1xjWtvV9fzE/PnySHhhY3hvtdOnYKSL4BNNQL49r/bc7shcXQ51zs1cRxLC
V0QsN6PvImImokv/oE7BA+e0YFfmWFFHAJhno3PEm9xgx5GZRizxlgP44xhOAMuB
pLui5xUWWIme66ogK0xxG1qzDRp2nK4+zGnSaufacJABGI55p73YgyjfGzM72NZE
uUTLI1vrdiPRX++/BHnnIS/pNpx8bTSfjWYWyHS/+L64kUP1BMFm/zfwbhy0VTTq
6E42GTex21DttQQS5Ncr/ZCXSOam/VOwe6V21uN2CfF2alDMlPjps8H3zwCMtnZ/
/1NPH+BkMYUWAaaTuE8Hs4/txCpGHAuAc78enLrKPopwPAGB4R1ls6FyBk3MwDCa
UuG4aj1ad9R8EKLnbPiCo4Zcz5584iPwsQqub2VBOBoHwAuXImt2clCg5sbrOte8
G6IjTRmkPVgbtW/45s2qxB2V7hG5OEcr4f5715Te6ESJYFmDvNJnUcRBdOMFiUbo
gX3MI4DFt+26ISFg2hXJ
=+FQK
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Sun, 04 Mar 2012 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 04 Mar 2012 18:45:06 GMT) Full text and rfc822 format available.

Message #84 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: 654924@bugs.debian.org
Subject: Re: Bug#654924: Fwd: Re: TigerVNC 1.0.90 src debs
Date: Sun, 04 Mar 2012 19:44:12 +0100
[Message part 1 (text/plain, inline)]
Hi Joachim,

On So 04 Mär 2012 14:42:50 CET Joachim Falk wrote:

>> I'd suggest to sync your Git to Alioth and continue/collaborate there.
>> Do you have an account on Alioth? If not, I'd suggest registering and
>> then apply for membership in the group ,,collab-maint''.
> Ok, I have registered as jfalk-guest and applied for the project
> pkg-tigervnc. Between, I fixed all the built errors for Xvnc.

I am not sure if your Git repository works the way it currently is  
constructed. At least it looks like a not-so-usual packaging repos. I  
am not an overall expert but what I prefer is using tools like  
git-import-orig and pristine-tar.

Downloading the xorg packaging tree for building the package does not  
look like the right approach for building Xvnc to me. I'd rather think  
that Xvnc can be built against the available Xorg headers on the build  
system.

To give some insight in what I mean I uploaded a point where I would  
start from to my Git site:
http://code.das-netzwerkteam.de/gitweb?p=debian/tigervnc.git;a=summary

For a better overview, please check out some other packaging projects  
I am involved in:
http://code.das-netzwerkteam.de/gitweb?p=debian/x2goclient.git;a=summary

> Now the install stage has a problem. Furthermore, we will need
> to modify the tigervnc configuration to use an external fltk if
> possible. I think, we also need to check what else tigervnc uses from
> internal sources.

The internally shipped sources appear to be in upstream's common  
folder. These source should be replacable by Debian package header  
files shipped with Debian sid.

Unfortunately, I do not have the time I would like to give to this  
project, I hope for better times during the next couple of weeks. :-(

Greetings,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sun, 04 Mar 2012 21:10:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sun, 04 Mar 2012 21:14:17 GMT) Full text and rfc822 format available.

Message #89 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 654924@bugs.debian.org
Subject: Re: Bug#654924: Fwd: Re: TigerVNC 1.0.90 src debs
Date: Sun, 04 Mar 2012 22:05:13 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 04.03.2012 19:44, schrieb Mike Gabriel:
> Hi Joachim,
> 
> On So 04 Mär 2012 14:42:50 CET Joachim Falk wrote:
> 
>>> I'd suggest to sync your Git to Alioth and continue/collaborate there.
>>> Do you have an account on Alioth? If not, I'd suggest registering and
>>> then apply for membership in the group ,,collab-maint''.
>> Ok, I have registered as jfalk-guest and applied for the project
>> pkg-tigervnc. Between, I fixed all the built errors for Xvnc.
>
> Downloading the xorg packaging tree for building the package does not
> look like the right approach for building Xvnc to me. I'd rather think
> that Xvnc can be built against the available Xorg headers on the build
> system.
I don't think so. I don't really download the xorg tree but the debian
package for building various X11 servers (X, xnest, xdmx, xvfb, etc.).
This package is already striped down to use the available system libs
and headers to built the servers. The only development stuff this
package provided is xserver-xorg-dev, which containts only headers.
These are used to develop driver, which are loaded by the X11 server.
So it should be sufficient to built the vnc.so component of tigervnc.
However, I don't think that it is sufficient to built the standalone
Xvnc X11 server.

> I am not sure if your Git repository works the way it currently is
> constructed. At least it looks like a not-so-usual packaging repos.
> I am not an overall expert but what I prefer is using tools like
> git-import-orig and pristine-tar.
Well the tigervnc and xorg stuff are integrated as subprojects into the
top project. I admit the tigervnc stuff is a svn checkout.
The real question is: How do we handle patches on top of the orig
sources. Either we use quilt for this then the subprojectness of xorg
and tigervnc is no problem. Otherwise we drop quilt and use native git
management for both tigervnc and xorg. However, in this case we have
to import a fully patched version of the xorg tree. Otherwise,
the xorg quilt patches would be applied over our modifications.
That is a pretty unsatisfactory situation.

>
> To give some insight in what I mean I uploaded a point where I would
> start from to my Git site:
> http://code.das-netzwerkteam.de/gitweb?p=debian/tigervnc.git;a=summary
> 
> For a better overview, please check out some other packaging projects I
> am involved in:
> http://code.das-netzwerkteam.de/gitweb?p=debian/x2goclient.git;a=summary
> 
>> Now the install stage has a problem. Furthermore, we will need
>> to modify the tigervnc configuration to use an external fltk if
>> possible. I think, we also need to check what else tigervnc uses from
>> internal sources.
> 
> The internally shipped sources appear to be in upstream's common folder.
> These source should be replacable by Debian package header files shipped
> with Debian sid.
> 
> Unfortunately, I do not have the time I would like to give to this
> project, I hope for better times during the next couple of weeks. :-(
> 
> Greetings,
> Mike
> 
> 

Regards,
Joachim
- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPU9kBAAoJEIjUIAk+3OYM12wP/jR4uVG87p+0X3lIoiZhZmO/
6ZCGjaP0Dr0kypulQNVyhhTkrHFYp7zlx9Pge9TXQzNHHm7MTiTuM/fSNAAc0YT2
cHVov37vttIc6sUcD1SRFIT1xeBkNmw4zoDPIaJDWrE311C3dn0GZDXpGbBMDBcD
la2M7vuZxFQgLokxI4prul2vjKLjRXfCfUrpp8zudZT4Zfc5lGg2t++sUeACn8pw
TvloNP3lgXc6SeSK84lD7qGDLt6GGzFysgmgh5TFs3nJ9F8t8sRMKJtIKkW8AYX0
H4KfQkWcYCWAeKzicaX2lq9B3JFEprxLBxNGX1F2pFustpA7Hx4Nh8GAv5OkE5f8
oMbWacXTmU3uWgq4R8jwhtEuE73NaiiCyA6YeTCRqNBWx5kYe7Rzgo6IUDM192Rc
K6FKpYGmfpl2I1PmDLMTtLR1A3UXVkIuk29tfYm2UDSEEBFW3wPv+LNUWjr2gpVz
5DFZCXD4m8UmkR7IzNyS3El/Suz2UZV4Geaj32eCLxJrKfN2FDozVUQjSz1IiVxG
BuTWSRAatS+yU+SRwm1Scoc6WNuu4WnIirCzrWcTvgFeU7nnCPnR5s/FSyFeJQ9U
6P/Q3BE6p4V1JSdMrwB+v8LKJjlUsmHMTOfr2egOWtoJSmV82AaNKSLLS40ZUgvj
g5Qu6UO+sy15MBGNmmuD
=9H3N
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Tue, 03 Apr 2012 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Tue, 03 Apr 2012 23:09:03 GMT) Full text and rfc822 format available.

Message #94 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 654924@bugs.debian.org
Subject: Re: Bug#654924: Alioth Projekt genehmigt
Date: Wed, 04 Apr 2012 01:04:24 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Dear Mike,

we are in business. Alioth has now a project for tigervnc.
I also added you as an admin. I myself have a version of
tigervnc 1.1.90 which builds and generates debs for

tigervnc-common_1.1.90-1jf_amd64.deb
tigervnc-scraping-server_1.1.90-1jf_amd64.deb
tigervnc-standalone-server_1.1.90-1jf_amd64.deb
tigervnc-viewer_1.1.90-1jf_amd64.deb
tigervnc-xorg-extension_1.1.90-1jf_amd64.deb

Testing remains to be done. Also some small features
from my old tigervnc 1.1.0 package are still not
merged.

Regards,
Joachim
- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPe4HyAAoJEIjUIAk+3OYMymAQAJXK28uzsBNUn1cACp3tjaPK
heS8wRdubd3W1OmuNWBOg6J9W86hfz7QN6shLDyvhUeqhSF3vLlcPiF17WLDDDjw
L6pNqyvmEWai1E3JqbQvEGF/1M0HQeOHa72ZDJfzp1QJ6O8GLQEXyDWMs4cUwjWo
TSOaKfqsBLiBrV2XGbsiuK6IUGEw0oSGOKqB2HDUfDUFT+RqlckjC3jNp4GXSDWo
9A7MDl9VyoAbVgIRSVOAaRF2ASLOWE75jcIdiCY+5uehLMfuZ0aTtaAYnc6chapF
T+qJH0zZzKCHFauW5hsndGSrFOYsulbY6lhH9yBIXL2AWPXmhHP/2aNJ5hIR9MXg
Jq3sClv4o+35zq/qwsUSnCGtmeP/d5VdBMQaog1riMjriG4yN3BANx1uhUeArVJh
+1udlxTyjg0V5V7bQdVzgCcLKSIOxGgqRtyvLcHllqrx83enNeP3rtvapsnf5HTb
EzF6XIzwiPkF3PBQAT3Y28KM7Rc3V5WvLX+HTFIl+dczPYoWq6UF1Ey4JiegbqvS
BPqUzfXaf3Idx+4682Ye96ZUHItPmgmqMzMZPOUDChDkXJBWhRjr9Sxw7Z/hNN8v
GL607AKT3LJxSMI5cBpZ/MoxMalHsy2MOIgqHTi9+S7eNLVkYt16uYEKWy19WOlT
9qUkjSUQ48tj/5CPqvoX
=uwi/
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Wed, 04 Apr 2012 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Wed, 04 Apr 2012 00:36:03 GMT) Full text and rfc822 format available.

Message #99 received at 654924@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Re: Bug#654924: Alioth Projekt genehmigt
Date: Tue, 3 Apr 2012 20:34:07 -0400
awesome!

would you mind opening up read-only access to the "world"?

*$> ls -ld /git/pkg-tigervnc
4 drwxrws--- 3 root scm_pkg-tigervnc 4096 Apr  2 20:00 /git/pkg-tigervnc/

I also sent a request to join (can't promise doing much but who knows...)

On Wed, 04 Apr 2012, Joachim Falk wrote:

> Dear Mike,

> we are in business. Alioth has now a project for tigervnc.
> I also added you as an admin. I myself have a version of
> tigervnc 1.1.90 which builds and generates debs for

> tigervnc-common_1.1.90-1jf_amd64.deb
> tigervnc-scraping-server_1.1.90-1jf_amd64.deb
> tigervnc-standalone-server_1.1.90-1jf_amd64.deb
> tigervnc-viewer_1.1.90-1jf_amd64.deb
> tigervnc-xorg-extension_1.1.90-1jf_amd64.deb

> Testing remains to be done. Also some small features
> from my old tigervnc 1.1.0 package are still not
> merged.

> Regards,
> Joachim
-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Merged 650394 654924 Request was from Joachim Falk <joachim.falk@gmx.de> to control@bugs.debian.org. (Thu, 05 Apr 2012 18:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Fri, 06 Apr 2012 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Fri, 06 Apr 2012 14:18:03 GMT) Full text and rfc822 format available.

Message #106 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 654924@bugs.debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Re: Bug#654924: Alioth Projekt genehmigt
Date: Fri, 06 Apr 2012 16:16:13 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 04.04.2012 02:34, schrieb Yaroslav Halchenko:
> awesome!
> 
> would you mind opening up read-only access to the "world"?
Should be open. You can also use
  git clone http://xiao.jfalk.de/~joachim/tigervnc/tigervnc.git
It should have the same version as the alioth git repo.

Between, I have updated to tigervnc 1.2.0. I have also tested
the 1.1.90 tigervnc-standalone-server and the tigervnc-viewer.
Both packages work as expected. In fact, I am using them right
now.

Yaroslav, can you test the 1.2.0 stuff and the tigervnc-xorg-extension?
Simply git clone the repo and then execute ./fetch-subprojects.sh.
After that dpkg-buildpackage -rfakeroot. After that you should get

tigervnc_1.2.0-1_amd64.changes
tigervnc_1.2.0-1.dsc
tigervnc_1.2.0-1.tar.gz
tigervnc-common_1.2.0-1_amd64.deb
tigervnc-scraping-server_1.2.0-1_amd64.deb
tigervnc-standalone-server_1.2.0-1_amd64.deb
tigervnc-viewer_1.2.0-1_amd64.deb
tigervnc-xorg-extension_1.2.0-1_amd64.deb

> 
> *$> ls -ld /git/pkg-tigervnc
> 4 drwxrws--- 3 root scm_pkg-tigervnc 4096 Apr  2 20:00 /git/pkg-tigervnc/
> 
> I also sent a request to join (can't promise doing much but who knows...)
I have added you.
> 
> On Wed, 04 Apr 2012, Joachim Falk wrote:
> 
>> Dear Mike,
> 
>> we are in business. Alioth has now a project for tigervnc.
>> I also added you as an admin. I myself have a version of
>> tigervnc 1.1.90 which builds and generates debs for
Mike, are you still with us?
> 
>> tigervnc-common_1.1.90-1jf_amd64.deb
>> tigervnc-scraping-server_1.1.90-1jf_amd64.deb
>> tigervnc-standalone-server_1.1.90-1jf_amd64.deb
>> tigervnc-viewer_1.1.90-1jf_amd64.deb
>> tigervnc-xorg-extension_1.1.90-1jf_amd64.deb
> 
>> Testing remains to be done. Also some small features
>> from my old tigervnc 1.1.0 package are still not
>> merged.
> 
>> Regards,
>> Joachim

Regards,
Joachim
- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPfvqmAAoJEIjUIAk+3OYMiGIP/2XeyD5I/GtdbRhODMgM3AjI
0iB9kDz3NyNv6PLV703yLwXwcxGJSK9UVMegROON62uKKNmp5RESoz1hJOKxE8T0
VTV+j7fPMjUkJSMjPcON+aPXrb/tJORe1PmFz8rLKTp/TYCOR87Eo8m/uqOvxGVc
jtKJZbP1FZ83eJFFYAZ0MFKnCek+EIoF+DaLVSSFlPfuaTV39cooUtne6HoQBRaZ
hDsBmQnhY72FhMu/QdP28K2wOIFTH0FhMiX5meTEEzYmclka8cqZ4wfbfNlYZIUZ
B3z082xLTbxYP8Z9j2STQ00kWXujIAYMVaKWQX/GjXPL3Y41F2RQfANrGQdJ5tBK
SbsLW32pfTczP6r0faZ/veLD+GLwl+4+m4NycwflsZwq9fSpt/kW+YpkPKe2TTcx
QyUeHL2ZRhEo7MVUmf6yixrIU3QtbK2oMrRIPwb6BEl5O+0gQSw8XLCHD4h7BGLF
u8V03POZ7VoaDwmL26MRIxRtssGJqRrXBIerjseOERVZYE/APnZ5oD3o9+wYjkUO
J4uqqsBSKRjDa/37dSB6o+HpcAeT5hYD7ayJwk7X0W24XehLLg2G9wk5wTgrIu2Y
1OVrvH2I7h5HB2Jv2/0HctLQ2IghvJxLvb7kbXS8IhUIxpc8zQC2I3/vXUur2Uhg
D+YdeEAkTcR9GXPx8Tvu
=+DmM
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Fri, 06 Apr 2012 14:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 06 Apr 2012 14:30:05 GMT) Full text and rfc822 format available.

Message #111 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org
Cc: Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#654924: Alioth Projekt genehmigt
Date: Fri, 06 Apr 2012 16:26:50 +0200
[Message part 1 (text/plain, inline)]
Hi Joachim,

On Fr 06 Apr 2012 16:16:13 CEST Joachim Falk wrote:

>>> we are in business. Alioth has now a project for tigervnc.
>>> I also added you as an admin. I myself have a version of
>>> tigervnc 1.1.90 which builds and generates debs for
> Mike, are you still with us?

Yes, I am. Sorry for the silence. Have been quite busy lately. This  
weekend is dedicated to Debian development. Currently cloning TigerVNC  
Git...

Thanks for keeping the flag flying!!!

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Fri, 06 Apr 2012 16:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 06 Apr 2012 16:39:09 GMT) Full text and rfc822 format available.

Message #116 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org
Cc: Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#654924: Alioth Projekt genehmigt
Date: Fri, 06 Apr 2012 18:38:02 +0200
[Message part 1 (text/plain, inline)]
Hi Joachim, Yaroslav,

On Fr 06 Apr 2012 16:16:13 CEST Joachim Falk wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Am 04.04.2012 02:34, schrieb Yaroslav Halchenko:
>> awesome!
>>
>> would you mind opening up read-only access to the "world"?
> Should be open. You can also use
>   git clone http://xiao.jfalk.de/~joachim/tigervnc/tigervnc.git
> It should have the same version as the alioth git repo.
>
> Between, I have updated to tigervnc 1.2.0.

I have tested latest stuff in Git, please do a pull on master branch  
on Alioth, I have committed some build-deps.

However, build fails (on squeeze _and_ sid)... See below...

Any ideas?

Mike

<quote>
[ 96%] Built target translations
/usr/bin/make -f vncviewer/CMakeFiles/vncviewer.dir/build.make  
vncviewer/CMakeFiles/vncviewer.dir/depend
make[3]: Entering directory `/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu'
cd /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu && /usr/bin/cmake -E  
cmake_depends "Unix Makefiles" /home/mike/tmp/tigervnc.b/tigervnc  
/home/mike/tmp/tigervnc.b/tigervnc/vncviewer  
/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu  
/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/vncviewer  
/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/vncviewer/CMakeFiles/vncviewer.dir/DependInfo.cmake  
--color=
Scanning dependencies of target vncviewer
make[3]: Leaving directory `/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu'
/usr/bin/make -f vncviewer/CMakeFiles/vncviewer.dir/build.make  
vncviewer/CMakeFiles/vncviewer.dir/build
make[3]: Entering directory `/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu'
/usr/bin/cmake -E cmake_progress_report  
/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/CMakeFiles
[ 96%] Building CXX object vncviewer/CMakeFiles/vncviewer.dir/buildTime.cxx.o
cd /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/vncviewer &&  
/usr/bin/g++   -DPACKAGE_NAME=\"tigervnc\" -DPACKAGE_VERSION=\"1.2.0\"  
-DLOCALEDIR=\"/usr/share/locale\" -D__BUILD__=\"20120406\"  
-DHAVE_GNUTLS -DHAVE_CONFIG_H -g -O2 -fstack-protector  
--param=ssp-buffer-size=4 -Wformat -Wformat-security  
-Werror=format-security -Wall -O3 -DNDEBUG  
-I/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu  
-I/home/mike/tmp/tigervnc.b/tigervnc/common/fltk  
-I/home/mike/tmp/tigervnc.b/tigervnc/common    -o  
CMakeFiles/vncviewer.dir/buildTime.cxx.o -c  
/home/mike/tmp/tigervnc.b/tigervnc/vncviewer/buildTime.cxx
/usr/bin/cmake -E cmake_progress_report  
/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/CMakeFiles 93
[ 97%] Building CXX object vncviewer/CMakeFiles/vncviewer.dir/menukey.cxx.o
cd /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/vncviewer &&  
/usr/bin/g++   -DPACKAGE_NAME=\"tigervnc\" -DPACKAGE_VERSION=\"1.2.0\"  
-DLOCALEDIR=\"/usr/share/locale\" -D__BUILD__=\"20120406\"  
-DHAVE_GNUTLS -DHAVE_CONFIG_H -g -O2 -fstack-protector  
--param=ssp-buffer-size=4 -Wformat -Wformat-security  
-Werror=format-security -Wall -O3 -DNDEBUG  
-I/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu  
-I/home/mike/tmp/tigervnc.b/tigervnc/common/fltk  
-I/home/mike/tmp/tigervnc.b/tigervnc/common    -o  
CMakeFiles/vncviewer.dir/menukey.cxx.o -c  
/home/mike/tmp/tigervnc.b/tigervnc/vncviewer/menukey.cxx
/usr/bin/cmake -E cmake_progress_report  
/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/CMakeFiles
[ 97%] Building CXX object vncviewer/CMakeFiles/vncviewer.dir/CConn.cxx.o
cd /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/vncviewer &&  
/usr/bin/g++   -DPACKAGE_NAME=\"tigervnc\" -DPACKAGE_VERSION=\"1.2.0\"  
-DLOCALEDIR=\"/usr/share/locale\" -D__BUILD__=\"20120406\"  
-DHAVE_GNUTLS -DHAVE_CONFIG_H -g -O2 -fstack-protector  
--param=ssp-buffer-size=4 -Wformat -Wformat-security  
-Werror=format-security -Wall -O3 -DNDEBUG  
-I/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu  
-I/home/mike/tmp/tigervnc.b/tigervnc/common/fltk  
-I/home/mike/tmp/tigervnc.b/tigervnc/common    -o  
CMakeFiles/vncviewer.dir/CConn.cxx.o -c  
/home/mike/tmp/tigervnc.b/tigervnc/vncviewer/CConn.cxx
/home/mike/tmp/tigervnc.b/tigervnc/vncviewer/CConn.cxx: In constructor  
‘CConn::CConn(const char*)’:
/home/mike/tmp/tigervnc.b/tigervnc/vncviewer/CConn.cxx:103:21: error:  
format not a string literal and no format arguments  
[-Werror=format-security]
/home/mike/tmp/tigervnc.b/tigervnc/vncviewer/CConn.cxx: In member  
function ‘virtual void CConn::setExtendedDesktopSize(int, int, int,  
int, const rfb::ScreenSet&)’:
/home/mike/tmp/tigervnc.b/tigervnc/vncviewer/CConn.cxx:270:18:  
warning: comparison between signed and unsigned integer expressions  
[-Wsign-compare]
/home/mike/tmp/tigervnc.b/tigervnc/vncviewer/CConn.cxx:270:46:  
warning: comparison between signed and unsigned integer expressions  
[-Wsign-compare]
cc1plus: some warnings being treated as errors
make[3]: *** [vncviewer/CMakeFiles/vncviewer.dir/CConn.cxx.o] Fehler 1
make[3]: Leaving directory `/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu'
make[2]: *** [vncviewer/CMakeFiles/vncviewer.dir/all] Fehler 2
make[2]: Leaving directory `/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu'
make[1]: *** [all] Fehler 2
make[1]: Leaving directory `/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu'
make: *** [debian/stamp-makefile-build] Fehler 2
dpkg-buildpackage: Fehler: Fehler-Exitstatus von debian/rules build war 2
debuild: fatal error at line 1350:
dpkg-buildpackage -rfakeroot -D -us -uc failed
mike@sid:~/tmp/tigervnc.b$
</quote>



-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Fri, 06 Apr 2012 17:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Fri, 06 Apr 2012 17:09:05 GMT) Full text and rfc822 format available.

Message #121 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
Cc: Yaroslav Halchenko <debian@onerussian.com>, 654924@bugs.debian.org
Subject: Re: Bug#654924: Alioth Projekt genehmigt
Date: Fri, 06 Apr 2012 19:05:46 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 06.04.2012 18:38, schrieb Mike Gabriel:
> Hi Joachim, Yaroslav,
>
> On Fr 06 Apr 2012 16:16:13 CEST Joachim Falk wrote:
>
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1
>>
>> Am 04.04.2012 02:34, schrieb Yaroslav Halchenko:
>>> awesome!
>>>
>>> would you mind opening up read-only access to the "world"?
>> Should be open. You can also use
>>   git clone http://xiao.jfalk.de/~joachim/tigervnc/tigervnc.git
>> It should have the same version as the alioth git repo.
>>
>> Between, I have updated to tigervnc 1.2.0.
>
> I have tested latest stuff in Git, please do a pull on master branch on
> Alioth, I have committed some build-deps.
>
> However, build fails (on squeeze _and_ sid)... See below...
>
> Any ideas?
Yes. You have a more paranoid build environment than me, i.e., -Wformat
- -Wformat-security -Werror=format-security.
And the compiler caught a security violation. Format string is not
constant but some (maybe user) input.

  } catch (rdr::Exception& e) {
    vlog.error(e.str());
    fl_alert(e.str());
    exit_vncviewer();
    return;
  }

http://www.fltk.org/doc-1.3/group__group__comdlg.html

fl_alert(e.str()); => fl_alert("%s", e.str()); <= that should work

>
> Mike
>
> <quote>
> [ 96%] Built target translations
> /usr/bin/make -f vncviewer/CMakeFiles/vncviewer.dir/build.make
> vncviewer/CMakeFiles/vncviewer.dir/depend
> make[3]: Entering directory
> `/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu'
> cd /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu && /usr/bin/cmake -E
> cmake_depends "Unix Makefiles" /home/mike/tmp/tigervnc.b/tigervnc
> /home/mike/tmp/tigervnc.b/tigervnc/vncviewer
> /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu
> /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/vncviewer
> /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/vncviewer/CMakeFiles/vncviewer.dir/DependInfo.cmake
> --color=
> Scanning dependencies of target vncviewer
> make[3]: Leaving directory `/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu'
> /usr/bin/make -f vncviewer/CMakeFiles/vncviewer.dir/build.make
> vncviewer/CMakeFiles/vncviewer.dir/build
> make[3]: Entering directory
> `/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu'
> /usr/bin/cmake -E cmake_progress_report
> /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/CMakeFiles
> [ 96%] Building CXX object
> vncviewer/CMakeFiles/vncviewer.dir/buildTime.cxx.o
> cd /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/vncviewer &&
> /usr/bin/g++   -DPACKAGE_NAME=\"tigervnc\" -DPACKAGE_VERSION=\"1.2.0\"
> -DLOCALEDIR=\"/usr/share/locale\" -D__BUILD__=\"20120406\" -DHAVE_GNUTLS
> -DHAVE_CONFIG_H -g -O2 -fstack-protector --param=ssp-buffer-size=4
> -Wformat -Wformat-security -Werror=format-security -Wall -O3 -DNDEBUG
> -I/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu
> -I/home/mike/tmp/tigervnc.b/tigervnc/common/fltk
> -I/home/mike/tmp/tigervnc.b/tigervnc/common    -o
> CMakeFiles/vncviewer.dir/buildTime.cxx.o -c
> /home/mike/tmp/tigervnc.b/tigervnc/vncviewer/buildTime.cxx
> /usr/bin/cmake -E cmake_progress_report
> /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/CMakeFiles 93
> [ 97%] Building CXX object vncviewer/CMakeFiles/vncviewer.dir/menukey.cxx.o
> cd /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/vncviewer &&
> /usr/bin/g++   -DPACKAGE_NAME=\"tigervnc\" -DPACKAGE_VERSION=\"1.2.0\"
> -DLOCALEDIR=\"/usr/share/locale\" -D__BUILD__=\"20120406\" -DHAVE_GNUTLS
> -DHAVE_CONFIG_H -g -O2 -fstack-protector --param=ssp-buffer-size=4
> -Wformat -Wformat-security -Werror=format-security -Wall -O3 -DNDEBUG
> -I/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu
> -I/home/mike/tmp/tigervnc.b/tigervnc/common/fltk
> -I/home/mike/tmp/tigervnc.b/tigervnc/common    -o
> CMakeFiles/vncviewer.dir/menukey.cxx.o -c
> /home/mike/tmp/tigervnc.b/tigervnc/vncviewer/menukey.cxx
> /usr/bin/cmake -E cmake_progress_report
> /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/CMakeFiles
> [ 97%] Building CXX object vncviewer/CMakeFiles/vncviewer.dir/CConn.cxx.o
> cd /home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu/vncviewer &&
> /usr/bin/g++   -DPACKAGE_NAME=\"tigervnc\" -DPACKAGE_VERSION=\"1.2.0\"
> -DLOCALEDIR=\"/usr/share/locale\" -D__BUILD__=\"20120406\" -DHAVE_GNUTLS
> -DHAVE_CONFIG_H -g -O2 -fstack-protector --param=ssp-buffer-size=4
> -Wformat -Wformat-security -Werror=format-security -Wall -O3 -DNDEBUG
> -I/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu
> -I/home/mike/tmp/tigervnc.b/tigervnc/common/fltk
> -I/home/mike/tmp/tigervnc.b/tigervnc/common    -o
> CMakeFiles/vncviewer.dir/CConn.cxx.o -c
> /home/mike/tmp/tigervnc.b/tigervnc/vncviewer/CConn.cxx
> /home/mike/tmp/tigervnc.b/tigervnc/vncviewer/CConn.cxx: In constructor
> ?CConn::CConn(const char*)?:
> /home/mike/tmp/tigervnc.b/tigervnc/vncviewer/CConn.cxx:103:21: error:
> format not a string literal and no format arguments
> [-Werror=format-security]
> /home/mike/tmp/tigervnc.b/tigervnc/vncviewer/CConn.cxx: In member
> function ?virtual void CConn::setExtendedDesktopSize(int, int, int, int,
> const rfb::ScreenSet&)?:
> /home/mike/tmp/tigervnc.b/tigervnc/vncviewer/CConn.cxx:270:18: warning:
> comparison between signed and unsigned integer expressions [-Wsign-compare]
> /home/mike/tmp/tigervnc.b/tigervnc/vncviewer/CConn.cxx:270:46: warning:
> comparison between signed and unsigned integer expressions [-Wsign-compare]
> cc1plus: some warnings being treated as errors
> make[3]: *** [vncviewer/CMakeFiles/vncviewer.dir/CConn.cxx.o] Fehler 1
> make[3]: Leaving directory `/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu'
> make[2]: *** [vncviewer/CMakeFiles/vncviewer.dir/all] Fehler 2
> make[2]: Leaving directory `/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu'
> make[1]: *** [all] Fehler 2
> make[1]: Leaving directory `/home/mike/tmp/tigervnc.b/obj-x86_64-linux-gnu'
> make: *** [debian/stamp-makefile-build] Fehler 2
> dpkg-buildpackage: Fehler: Fehler-Exitstatus von debian/rules build war 2
> debuild: fatal error at line 1350:
> dpkg-buildpackage -rfakeroot -D -us -uc failed
> mike@sid:~/tmp/tigervnc.b$
> </quote>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPfyJqAAoJEIjUIAk+3OYMGEMP/jPKbrvb2cDpf9SGVDH2oCzE
s0iwm67XNKboWbrtRN9R3WqfxoSn6GTbvU7lwR2sgzd6gFpcJTd1yRjIGF32Y/St
kQ5hyCCrIbRUp8FUM8UGtBhn5rlyLRsb0qAmDDJO9nthgIP6gYKl1aj0IqW9iRF8
W8ZiO+dnqxrYJUhKMIx2zfAL5hl9/701xFnjSDUQkZHmjnICnFrODc6ABNB7Nly+
0dUs2KhDVRdDbitKMJJqrqKGj7OS1/+s5rooHPtopCzy+FW2P8KvQ/I5ulgaIMiR
6UflWJwan5ugJdF5hvsDJa9NnjjZmTlbmQc9s+leyYyGOzQAwwVn2WUVqUAtDFU2
dbksbWp+bt1MtsZa9YjmMm+9h1FT7//axJ9o33pdWnVB3b63u/c8oR39mbVbZqzh
/7CymZALvAY4Q28WCOVBDF+OEEeWdEk5t/rxpI+19auxriAHm8j8fsI+CzZYPvM7
SinAM2OxaJqsUhkZ7Mq1h/ToNIHobMzLSGdhvo4KFOaL3YQefvqg7ru+tcJ3zYl4
OiS1y79gDwQDw0EeDiYaCZ4fkyOv6Gh7M4pvNm44C2jPjuBB7nwG9RpltUN8fGAK
koO7DApod++H995p7net+8GhdlTzTwktmhvZJfhHGwaY+oNctrgWWsn3cWt+vnKh
YEFJ9sY+rBe75YTSjj7Z
=GSEL
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Fri, 06 Apr 2012 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 06 Apr 2012 17:12:03 GMT) Full text and rfc822 format available.

Message #126 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: 654924@bugs.debian.org
Subject: Re: Bug#654924: Alioth Projekt genehmigt
Date: Fri, 06 Apr 2012 19:08:54 +0200
[Message part 1 (text/plain, inline)]
Hi Joachim,

(reincluding the ITP isssue...)

On Fr 06 Apr 2012 18:59:47 CEST Joachim Falk wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Am 06.04.2012 18:38, schrieb Mike Gabriel:
>> Hi Joachim, Yaroslav,
>>
>> On Fr 06 Apr 2012 16:16:13 CEST Joachim Falk wrote:
>>
>>> -----BEGIN PGP SIGNED MESSAGE-----
>>> Hash: SHA1
>>>
>>> Am 04.04.2012 02:34, schrieb Yaroslav Halchenko:
>>>> awesome!
>>>>
>>>> would you mind opening up read-only access to the "world"?
>>> Should be open. You can also use
>>>   git clone http://xiao.jfalk.de/~joachim/tigervnc/tigervnc.git
>>> It should have the same version as the alioth git repo.
>>>
>>> Between, I have updated to tigervnc 1.2.0.
>>
>> I have tested latest stuff in Git, please do a pull on master branch on
>> Alioth, I have committed some build-deps.
>>
>> However, build fails (on squeeze _and_ sid)... See below...
>>
>> Any ideas?
> Yes. You have a more paranoid build environment than me, i.e., -Wformat
> - -Wformat-security -Werror=format-security.
> And the compiler caught a security violation. Format string is not
> constant but some (maybe user) input.
>
>   } catch (rdr::Exception& e) {
>     vlog.error(e.str());
>     fl_alert(e.str());
>     exit_vncviewer();
>     return;
>   }
>
> http://www.fltk.org/doc-1.3/group__group__comdlg.html
>
> fl_alert(e.str()); => fl_alert("%s", e.str()); <= that should work

So we need some CXX flags in debian/rules? Any recommendations? The  
package should build on paranoid and non-paranoid systems, I guess.

Can you provide a patch?

Thanks,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Fri, 06 Apr 2012 17:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Fri, 06 Apr 2012 17:21:04 GMT) Full text and rfc822 format available.

Message #131 received at 654924@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 654924@bugs.debian.org
Cc: Joachim Falk <joachim.falk@gmx.de>
Subject: Re: Bug#654924: Alioth Projekt genehmigt
Date: Fri, 6 Apr 2012 13:17:35 -0400
> >fl_alert(e.str()); => fl_alert("%s", e.str()); <= that should work

> So we need some CXX flags in debian/rules? Any recommendations? The
> package should build on paranoid and non-paranoid systems, I guess.

> Can you provide a patch?

my 1c: CXX flags should not be overridden to filter out paranoidal flags
(it is ok to extend with -O0 for noopt, etc) -- that would complicate
various hardening etc ports attempts.  But providing a patch for
upstream allowing to build on such systems would be beneficial!

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Fri, 06 Apr 2012 18:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Fri, 06 Apr 2012 18:18:05 GMT) Full text and rfc822 format available.

Message #136 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 654924@bugs.debian.org, tigervnc-devel@lists.sourceforge.net
Subject: Re: Bug#654924: Alioth Projekt genehmigt
Date: Fri, 06 Apr 2012 20:13:46 +0200
[Message part 1 (text/plain, inline)]
Hi Yaroslav, Mike, TigerVNC developers,

Am 06.04.2012 19:08, schrieb Mike Gabriel:
> Hi Joachim,
>
> (reincluding the ITP isssue...)
>
> On Fr 06 Apr 2012 18:59:47 CEST Joachim Falk wrote:
>
>> Am 06.04.2012 18:38, schrieb Mike Gabriel:
>>> Hi Joachim, Yaroslav,
>>>
>>> [SNIP]
>>>
>>> I have tested latest stuff in Git, please do a pull on master
>>> branch on Alioth, I have committed some build-deps.
>>>
>>> However, build fails (on squeeze _and_ sid)... See below...
>>>
>>> Any ideas?
>>
>> Yes. You have a more paranoid build environment than me, i.e.,
>> -Wformat -Wformat-security -Werror=format-security.
>> And the compiler caught a security violation. Format string is not
>> constant but some (maybe user) input.
>>
>>   } catch (rdr::Exception& e) {
>>     vlog.error(e.str());
>>     fl_alert(e.str());
>>     exit_vncviewer();
>>     return;
>>   }
>>
>> http://www.fltk.org/doc-1.3/group__group__comdlg.html
>>
>> fl_alert(e.str()); => fl_alert("%s", e.str()); <= that should work
>
> So we need some CXX flags in debian/rules? Any recommendations? The
> package should build on paranoid and non-paranoid systems, I guess.
>
> Can you provide a patch?
>
> Thanks,
> Mike

Am 06.04.2012 19:17, schrieb Yaroslav Halchenko:
> my 1c: CXX flags should not be overridden to filter out paranoidal flags
I concur
> (it is ok to extend with -O0 for noopt, etc) -- that would complicate
> various hardening etc ports attempts.  But providing a patch for
> upstream allowing to build on such systems would be beneficial!
tigervnc-devel should suffice

Mike, Yaroslav, please do a pull on the master branch on Alioth.
(I hope) I have fixed the issue. However, the fix still needs to be
tested.

Furthermore, I have attached the fix for the benefit of tigervnc-devel.

Regards,
Joachim
-- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
[0100-fixup-format-string-vulnerabilities-in-tigervnc.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Sat, 07 Apr 2012 12:25:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Apr 2012 12:25:22 GMT) Full text and rfc822 format available.

Message #141 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: Yaroslav Halchenko <debian@onerussian.com>, 654924@bugs.debian.org, tigervnc-devel@lists.sourceforge.net
Subject: Re: Bug#654924: Alioth Projekt genehmigt
Date: Sat, 07 Apr 2012 13:34:18 +0200
[Message part 1 (text/plain, inline)]
Hi Joachim,

On Fr 06 Apr 2012 20:13:46 CEST Joachim Falk wrote:

> Mike, Yaroslav, please do a pull on the master branch on Alioth.
> (I hope) I have fixed the issue. However, the fix still needs to be
> tested.
>
> Furthermore, I have attached the fix for the benefit of tigervnc-devel.

The patch works well.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Sat, 07 Apr 2012 12:30:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Apr 2012 12:30:29 GMT) Full text and rfc822 format available.

Message #146 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: Yaroslav Halchenko <debian@onerussian.com>, 654924@bugs.debian.org
Subject: Inclusion of TigerVNC sources
Date: Sat, 07 Apr 2012 14:18:30 +0200
[Message part 1 (text/plain, inline)]
Hi Joachim,

I have look at the package more closely and several thing come to my mind...

 1. Do we need a package upload sponsor? I have one (pere@debian.org, Debian
    Edu)
 2. We have to include full TigerVNC source in the package. People have to be
    able to download the tigervnc source via our provided package
 3. (I am currently playing with source code inclusion...)
 4. The xorg-server download before build has to be automatic...
 5. The /debian/copyright file is from XOrg, the TigerVNC stuff is missing...
 6. All Lintian issues have to be fixed before upload to Debian...
 7. We really should make the package build-able with git-buildpackage
    (using pristine-tar and source format ,,3.0 (quilt)'').

So far for now, will be AFK and enjoy the great weather during the  
afternoon. More tonight.

Joachim, you have done a great job with the packaging!!! Are you  
available on some IRC or Jabber channel??? On irc.debian.org my nick  
is m1k3. Via Jabber you can contact me as mike.gabriel@jabber.ccc.de.

Greets+thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sat, 07 Apr 2012 15:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sat, 07 Apr 2012 15:33:03 GMT) Full text and rfc822 format available.

Message #151 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Yaroslav Halchenko <debian@onerussian.com>, 654924@bugs.debian.org, Ola Lundqvist <ola@inguza.com>
Subject: Re: Inclusion of TigerVNC sources
Date: Sat, 07 Apr 2012 17:09:54 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 07.04.2012 14:18, schrieb Mike Gabriel:
> Hi Joachim,
> 
> I have look at the package more closely and several thing come to my
> mind...
> 
>  1. Do we need a package upload sponsor? I have one
>     (pere@debian.org, Debian Edu)
Ola, I guess you still have the contacts for Debian proper?
>  2. We have to include full TigerVNC source in the package.
>     People have to be
>     able to download the tigervnc source via our provided package
Yes. The final package should have a .orig.tgz including the tigervnc
sources and the xorg deb packages.
>  3. (I am currently playing with source code inclusion...)
>  4. The xorg-server download before build has to be automatic...
I am not sure if we are allowed to do such a thing in the build process.
>  5. The /debian/copyright file is from XOrg, the TigerVNC stuff is
> missing...
Yes.
>  6. All Lintian issues have to be fixed before upload to Debian...
>  7. We really should make the package build-able with git-buildpackage
>     (using pristine-tar and source format ,,3.0 (quilt)'').
I am not sure how customizable git-buildpackage is. We really have two
upstreams the tigervnc stuff and the xorg debian packages.
> So far for now, will be AFK and enjoy the great weather during the
> afternoon. More tonight.
Have fun.
> 
> Joachim, you have done a great job with the packaging!!! Are you
> available on some IRC or Jabber channel??? On irc.debian.org my nick is
> m1k3. Via Jabber you can contact me as mike.gabriel@jabber.ccc.de.
You should have my authorization.
> 
> Greets+thanks,
> Mike

Regards,
Joachim
- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPgFi9AAoJEIjUIAk+3OYMoKwP/R71axpmQ1SIYKtEISOvZ6bh
kHL+WPASc5+y7dBWYO1k5yTge8zwrljYnbI2dW0dRj2Nslaa2fWwdHrfUFH6SoMs
innWm8f6Sg5ALhxob8oJ6+RpCHHw+iD6fryac/nUWJuBXcJVEYTX/ogQ2VUWc7c7
kNLAaNbqCKmaqxpiYQeh4lkiPHpklTJnoYdeg9zaHuc6Va8UjDKtPnQen8we5CB0
KQbb2w4F+fJUsB3JDkaXzwFDwcK5RPv3vYJ7guMBE1lAU4MJhMyJSKrMXSP0+6kN
PpfTkgohoYKBPRH45Jj1iLKqmx8YLY6Wwq/1vG47EWYekWZdu7quxxBcPwVQgFzA
ZtoXBXzGWjWCLGg2qiRzIJchax71nf0DZPSDauCI3uCg80hkphp0ndbxGdXbIAnF
Mwxyc8e926cWzl068cF5NASwJUo66S55T6fpP44H9ZOY97RnWVn/e6Nl4KQpPFHA
WhRzBPS052ZfevMQV6dJ3xQOwxFiO2WCd0Nx4k/2vO+c0Er4Iovuf8usVI034XXE
Y+/dlFWP8ZYQ7aQnDJCDVeAsuC8QUF740jL6LXaNHnqJ9uFUF9bFZCo1OceSB+6b
7BPL8kGcyqKwdBvA0CkQ4iEsF6LpFlhmy/pqVfOFd4z8jGZ3+12K5p98/1dsiIKZ
7Iw/rTPs2ZKzqkGJ3+Eg
=QUhO
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sat, 07 Apr 2012 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sat, 07 Apr 2012 15:54:03 GMT) Full text and rfc822 format available.

Message #156 received at 654924@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Ola Lundqvist <ola@inguza.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sat, 7 Apr 2012 11:51:28 -0400
On Sat, 07 Apr 2012, Joachim Falk wrote:
> > I have look at the package more closely and several thing come to my
> > mind...

> >  1. Do we need a package upload sponsor? I have one
> >     (pere@debian.org, Debian Edu)
> Ola, I guess you still have the contacts for Debian proper?

or just me (if time permits to be the first ;) )

> >  7. We really should make the package build-able with git-buildpackage
> >     (using pristine-tar and source format ,,3.0 (quilt)'').
> I am not sure how customizable git-buildpackage is. We really have two
> upstreams the tigervnc stuff and the xorg debian packages.

just craft get-orig-sources rule for debian/rules which would create the
target .tar.gz (or actually multiple ones, e.g. .orig.tar.gz and
.xorg.tar.gz  since 3.0 (quilt) supports it; but afaik git-buildpackage
doesn't natively support multiple source tarballs yet... although I
recall using it somehow...).  Then you just pristine-tar that beast

or may be Ola has better suggestions from his experience with vnc pkgs

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sat, 07 Apr 2012 16:57:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sat, 07 Apr 2012 16:57:35 GMT) Full text and rfc822 format available.

Message #161 received at 654924@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Ola Lundqvist <ola@inguza.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sat, 7 Apr 2012 18:56:28 +0200
Hi all

On Sat, Apr 07, 2012 at 11:51:28AM -0400, Yaroslav Halchenko wrote:
> 
> On Sat, 07 Apr 2012, Joachim Falk wrote:
> > > I have look at the package more closely and several thing come to my
> > > mind...
> 
> > >  1. Do we need a package upload sponsor? I have one
> > >     (pere@debian.org, Debian Edu)
> > Ola, I guess you still have the contacts for Debian proper?
> 
> or just me (if time permits to be the first ;) )

I may be able to help here. But if someone else sponsor it I would
be quite happy. :-)

> > >  7. We really should make the package build-able with git-buildpackage
> > >     (using pristine-tar and source format ,,3.0 (quilt)'').
> > I am not sure how customizable git-buildpackage is. We really have two
> > upstreams the tigervnc stuff and the xorg debian packages.
> 
> just craft get-orig-sources rule for debian/rules which would create the
> target .tar.gz (or actually multiple ones, e.g. .orig.tar.gz and
> .xorg.tar.gz  since 3.0 (quilt) supports it; but afaik git-buildpackage
> doesn't natively support multiple source tarballs yet... although I
> recall using it somehow...).  Then you just pristine-tar that beast
> 
> or may be Ola has better suggestions from his experience with vnc pkgs

Yes the full source must be available, and we are _not_ allowed to
download anything during the build process. Actually some autobuilders
have by intention no network support in the build root.

I have always re-generated a new orig.tar.gz file using two sources.

If you look into vnc4 package you can see that the source file is a
combination of vnc 4.1.1 and Xfree 4.3.0. You can even see that in the
version name of the package.
Unpack vnc4 source package and read debian/README.GENERATED and you
can see how I did.

Best regards,

// Ola

> -- 
> =------------------------------------------------------------------=
> Keep in touch                                     www.onerussian.com
> Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic
> 

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Sat, 07 Apr 2012 19:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Apr 2012 19:21:09 GMT) Full text and rfc822 format available.

Message #166 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org, Ola Lundqvist <ola@inguza.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sat, 07 Apr 2012 21:20:28 +0200
[Message part 1 (text/plain, inline)]
Hi all,

On Sa 07 Apr 2012 17:51:28 CEST Yaroslav Halchenko wrote:

>
> On Sat, 07 Apr 2012, Joachim Falk wrote:
>> > I have look at the package more closely and several thing come to my
>> > mind...
>
>> >  1. Do we need a package upload sponsor? I have one
>> >     (pere@debian.org, Debian Edu)
>> Ola, I guess you still have the contacts for Debian proper?
>
> or just me (if time permits to be the first ;) )
>
>> >  7. We really should make the package build-able with git-buildpackage
>> >     (using pristine-tar and source format ,,3.0 (quilt)'').
>> I am not sure how customizable git-buildpackage is. We really have two
>> upstreams the tigervnc stuff and the xorg debian packages.
>
> just craft get-orig-sources rule for debian/rules which would create the
> target .tar.gz (or actually multiple ones, e.g. .orig.tar.gz and
> .xorg.tar.gz  since 3.0 (quilt) supports it; but afaik git-buildpackage
> doesn't natively support multiple source tarballs yet... although I
> recall using it somehow...).  Then you just pristine-tar that beast

I am currently working on the get-orig-sources stanza to obtain proper  
orig.tar.gz files for TigerVNC and Xorg. These orig tarballs I will  
then pristine-tar and import to an upstream branch in our  
pkg-tigervnc.git project.

This part will then be able to replace fetch-subprojects.sh.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sat, 07 Apr 2012 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sat, 07 Apr 2012 19:33:03 GMT) Full text and rfc822 format available.

Message #171 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Yaroslav Halchenko <debian@onerussian.com>, 654924@bugs.debian.org, Ola Lundqvist <ola@inguza.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sat, 07 Apr 2012 21:30:42 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 07.04.2012 21:20, schrieb Mike Gabriel:
> Hi all,
> 
> On Sa 07 Apr 2012 17:51:28 CEST Yaroslav Halchenko wrote:
> 
>>
>> On Sat, 07 Apr 2012, Joachim Falk wrote:
>>> > I have look at the package more closely and several thing come to my
>>> > mind...
>>
>>> >  1. Do we need a package upload sponsor? I have one
>>> >     (pere@debian.org, Debian Edu)
>>> Ola, I guess you still have the contacts for Debian proper?
>>
>> or just me (if time permits to be the first ;) )
>>
>>> >  7. We really should make the package build-able with git-buildpackage
>>> >     (using pristine-tar and source format ,,3.0 (quilt)'').
>>> I am not sure how customizable git-buildpackage is. We really have two
>>> upstreams the tigervnc stuff and the xorg debian packages.
>>
>> just craft get-orig-sources rule for debian/rules which would create the
>> target .tar.gz (or actually multiple ones, e.g. .orig.tar.gz and
>> .xorg.tar.gz  since 3.0 (quilt) supports it; but afaik git-buildpackage
>> doesn't natively support multiple source tarballs yet... although I
>> recall using it somehow...).  Then you just pristine-tar that beast
> 
> I am currently working on the get-orig-sources stanza to obtain proper
> orig.tar.gz files for TigerVNC and Xorg. These orig tarballs I will then
> pristine-tar and import to an upstream branch in our pkg-tigervnc.git
> project.
> 
> This part will then be able to replace fetch-subprojects.sh.
Ok, I also commit some changes you might find useful to implement
get-orig-source, please pull. I also changed to pkg version to
1.2.0+X1.7.7_14-2 as per Ola's suggestion to also include the xserver
version we use.

> 
> Greets,
> Mike
> 

Regards,
Joachim Falk
- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPgJXVAAoJEIjUIAk+3OYM8JoP/AkNyoVbdA/qYGbVJjUeCJC0
TdncOs4aOAmJv7rX7zCo093kjU3hbq6BpcfdaFn5XAHB4JJHnqnYuj5B8zs5yJci
ud3hfsY9Q+s8BbPVN5/RWhEqAq8qO/P6nzsL42Mg8VQJqDEXNM33NQS9NF6xanP8
X8hHbXeN5/aAPTZYopLzruagJNOSSmztnWsTD4XK56fhWNQDEXY3t5Pc/waYahB8
qhcp/BloNYN8bjbHQFgjeG3i9xuc/GkGO0UfR7rtcK1WZp8gqW8llQxCD0FhyWd9
a7s4RCUYZZ5cUi0j8iX4sBwXHsmd89RH7L+xF4MUZSFb/VNVydqcm/ZQYGkn+Nj/
n00V484/A14HOn2cJwpVo2Yx2aX8fZnWVeBrBZgcw5ah5cp+b9mpg4fZWoaFgsti
i7x856YwJ39Ci209egbAo4n8PT7nebqQsNmkSELjqaUHD49Jx0prpiIeYDqlNuCX
bauLsNGt99wv1i2zboiiM4lXjgeRb8X4VzcT/i5NvHFkUmN8HLNUwiL00QHId1Zx
DJqT4raWhjXu06MNwpPZ2XQ51lugC6RpEHV5/VptmGOxAumbE4ERrDCjZoDjr+2U
5wQXeW5r/gMjiCCEXGCbo2afGRGXON2v0NKIjLTYeYKrmaFL2UeTMqBGW5vByITi
jNq7IFbnKQEwVszp2S8m
=pXVF
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Sat, 07 Apr 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Apr 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #176 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org
Cc: Yaroslav Halchenko <debian@onerussian.com>, Ola Lundqvist <ola@inguza.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sat, 07 Apr 2012 21:52:20 +0200
[Message part 1 (text/plain, inline)]
Hi Joachim,

On Sa 07 Apr 2012 21:30:42 CEST Joachim Falk wrote:

> Ok, I also commit some changes you might find useful to implement
> get-orig-source, please pull. I also changed to pkg version to
> 1.2.0+X1.7.7_14-2 as per Ola's suggestion to also include the xserver
> version we use.

Ok, thanks! Very useful...

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Sat, 07 Apr 2012 20:06:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Apr 2012 20:06:18 GMT) Full text and rfc822 format available.

Message #181 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org
Cc: Yaroslav Halchenko <debian@onerussian.com>, Ola Lundqvist <ola@inguza.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sat, 07 Apr 2012 22:05:32 +0200
[Message part 1 (text/plain, inline)]
Hi Joachim,

On Sa 07 Apr 2012 21:30:42 CEST Joachim Falk wrote:

> Ok, I also commit some changes you might find useful to implement
> get-orig-source, please pull. I also changed to pkg version to
> 1.2.0+X1.7.7_14-2 as per Ola's suggestion to also include the xserver
> version we use.

Are you sure, that we import xorg-server 2:1.7.7-14?

If I look at my xorg-server checkout, I see 2:1.11.4-2.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sat, 07 Apr 2012 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sat, 07 Apr 2012 20:15:05 GMT) Full text and rfc822 format available.

Message #186 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 654924@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>, Ola Lundqvist <ola@inguza.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sat, 07 Apr 2012 22:10:26 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 07.04.2012 22:05, schrieb Mike Gabriel:
> Hi Joachim,
> 
> On Sa 07 Apr 2012 21:30:42 CEST Joachim Falk wrote:
> 
>> Ok, I also commit some changes you might find useful to implement
>> get-orig-source, please pull. I also changed to pkg version to
>> 1.2.0+X1.7.7_14-2 as per Ola's suggestion to also include the xserver
>> version we use.
> 
> Are you sure, that we import xorg-server 2:1.7.7-14?
> 
> If I look at my xorg-server checkout, I see 2:1.11.4-2.
> 
> Greets,
> Mike
> 

>>>>>>>>>>>>>>>>>>>>
object 869682effd2abbd48c47653e63d451e24666830a
type commit
tag xorg-server-2_1.7.7-14
tagger Julien Cristau <jcristau@debian.org> 1319927200 +0200

Tagging upload of xorg-server 2:1.7.7-14 to squeeze.
>>>>>>>>>>>>>>>>>>>>

The git subproject is hardcoded to this version. Of course if
you built for wheezy the subproject should be changed to pick up
the xorg version of wheezy. Furthermore, the symlink xserver.patch
has to be adjusted accordingly.

Regards,
Joachim
- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPgJ8nAAoJEIjUIAk+3OYMRXEQAISKbK58NscoK1UG58yYk5M4
wM6GH16mRg8VR89TAAmX9NKGRuvjZmL+y2wHeNachK6fQXRrI9wVsGEuWgNee/pC
8s1n13Eq/M90/461+3pkSL2MHx9ExiPKy5mr1lkEAwPre31kf1LIFA6+3y7ZRTsV
Mibd6IcbYVr+bJ99Jp/meG3zZdItCmz4DHySC28OkpC4RBUL16NIRyCRDqP3W6OJ
8x5V7uiY0WgELcNINmWH5ej7A0mw1qk7RyCg4bu+fLhom0Dxv2YIXD2hmOXVrAUj
jKq4X8i4x/eI//MtYd+EYPSF6bNpkjLTr/LQMUhf4deT2+Yq2eN9pHalm7wki8uR
q5TeCf8QET7zLWe4JbkBAM3FJ3frObhjkr2LltP/kDld50yGK15fNMZEsEZyBuod
elhzU+XHzUoX4J37rmcyNjqaPkaEHQjvCbfaKHHpmUiF4+Lqgcn9QBNSO8WjUXjp
e0R2Y6yOax2USw3SIGWefr/W6X622a6WhqTCoEwaUmDeWn8jy4V+53ACKfRWAEft
uwUNA+5THpd4CCeeERYW8rYVIAuqGkT5AW2DhnNSrJPeBZ4RQtDcxUCjbMPgBTPM
kvJnmFdispx+DIh+MN96SjraSu93SjmdeGYW+o2kzia/WnAqCwEfiNaQDB12dvWX
SNwJ6X4x7ZPXUubM402G
=cHRZ
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Sat, 07 Apr 2012 20:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Apr 2012 20:24:05 GMT) Full text and rfc822 format available.

Message #191 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: 654924@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>, Ola Lundqvist <ola@inguza.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sat, 07 Apr 2012 22:21:18 +0200
[Message part 1 (text/plain, inline)]
Hi Joachim,

On Sa 07 Apr 2012 22:10:26 CEST Joachim Falk wrote:

>>>>>>>>>>>>>>>>>>>>>
> object 869682effd2abbd48c47653e63d451e24666830a
> type commit
> tag xorg-server-2_1.7.7-14
> tagger Julien Cristau <jcristau@debian.org> 1319927200 +0200
>
> Tagging upload of xorg-server 2:1.7.7-14 to squeeze.
>>>>>>>>>>>>>>>>>>>>>
>
> The git subproject is hardcoded to this version. Of course if
> you built for wheezy the subproject should be changed to pick up
> the xorg version of wheezy. Furthermore, the symlink xserver.patch
> has to be adjusted accordingly.

As we prepare packages for Debian wheezy and have to move the package  
into unstable first, we have to use Xorg from unstable.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sat, 07 Apr 2012 20:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ola Lundqvist <ola@inguza.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sat, 07 Apr 2012 20:42:02 GMT) Full text and rfc822 format available.

Message #196 received at 654924@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,Joachim Falk <joachim.falk@gmx.de>
Cc: 654924@bugs.debian.org,Yaroslav Halchenko <debian@onerussian.com>,Ola Lundqvist <ola@inguza.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sat, 7 Apr 2012 22:37:54 +0200 (GMT+02:00)
[Message part 1 (text/plain, inline)]
You do not necessarily need to use the same, even though it is a good starting point. As you can see from vnc4 I still use xfree, not even xorg...

Sent from my phone



-----Original Message-----
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: 654924@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>, Ola
 Lundqvist <ola@inguza.com>
Sent: Sat, 07 Apr 2012 22:21
Subject: Re: Bug#654924: Inclusion of TigerVNC sources

Hi Joachim,

On Sa 07 Apr 2012 22:10:26 CEST Joachim Falk wrote:

>>>>>>>>>>>>>>>>>>>>>
> object 869682effd2abbd48c47653e63d451e24666830a
> type commit
> tag xorg-server-2_1.7.7-14
> tagger Julien Cristau <jcristau@debian.org> 1319927200 +0200
>
> Tagging upload of xorg-server 2:1.7.7-14 to squeeze.
>>>>>>>>>>>>>>>>>>>>>
>
> The git subproject is hardcoded to this version. Of course if
> you built for wheezy the subproject should be changed to pick up
> the xorg version of wheezy. Furthermore, the symlink xserver.patch
> has to be adjusted accordingly.

As we prepare packages for Debian wheezy and have to move the package  
into unstable first, we have to use Xorg from unstable.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sun, 08 Apr 2012 11:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sun, 08 Apr 2012 11:00:07 GMT) Full text and rfc822 format available.

Message #201 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Ola Lundqvist <ola@inguza.com>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 654924@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sun, 08 Apr 2012 12:56:48 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Mike, Ola,

Am 07.04.2012 22:37, schrieb Ola Lundqvist:
> Mike Gabriel wrote:
>
>> Hi Joachim,
>> 
>> On Sa 07 Apr 2012 22 <tel:201222>:10:26 CEST Joachim Falk wrote: 
[SNIP]
>>> The git subproject is hardcoded to this version. Of course if
>>> you built for wheezy the subproject should be changed to pick up
>>> the xorg version of wheezy. Furthermore, the symlink xserver.patch
>>> has to be adjusted accordingly.
>> 
>> As we prepare packages for Debian wheezy and have to move the package 
>> into unstable first, we have to use Xorg from unstable.
>
> You do not necessarily need to use the same, even though it is a good
> starting point. As you can see from vnc4 I still use xfree, not even
> xorg...
Well, you also have disabled vnc.so. If you don't use the current X11
server of the distribution, then a working vnc.so is not guaranteed.
Well, we also could investigate to build vnc.so and only vnc.so against
the installed xserver-xorg-dev.

Regards,
Joachim

P.S.: I created a squeeze-backports branch

- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPgW7mAAoJEIjUIAk+3OYMaowP/i/ZGI/403QJD2WUnu+d+FGd
xfQ0fvukXA5sGb/3sMrS32PkAgjVASpTXYLtO7TA7X7PEZil7k2JtYEi6rtfV9IG
QVp4pEQpIUzgpoBocsWSijt7VV5tp32HE3KM09cvmcawsZ1R95mwSg+wi713mwWc
peM74NSGKYFGkcPqemDdyNrBkBMrUVd9ygye3S+Xl9DAEhdWAaAOcpYaAfpemFZj
zFlyu8mpAdKRreCNe8aj5J+8hPnWvGwbiCJMHLVVL+JjpDAwX8zbhC5nCS9d8nOX
O0GQRzIvBpo11vS0BHYs6+DhbMcTvd5kO6uNAqagHy7Yogsm9OU9xAMPu8iv1dVd
9vDW5th1mBm7Jr/0OBm9fvqxMYWXCRi+yolM2G2EkKlfDIjU3wJUBqMRaT5cCQ3P
gw/zD5lYRAxt32PiYpaCUh8jEC3B/Jbig+0pf1XKBVTe8fC4rNQ6pzYejK/khwbV
RflUR6KI7bLwDeFoK+44RO8tzivG58pVeVaJEMROfxMtGo8hvcz2UVhJMUc7bi5u
FCfPru7AYkQN8pIPJHlqxrhWMTIYppv481YDH2zOavxGkdR+IdwMTC3i25yiK9LQ
pjQxSXRupDrnlMZbJipmo1sxaeSLgg+DA2SdITtrP2D60+F3nFskMqZFYtpAUb/G
X3vQEwhIsSpMf61PWdrh
=kPBY
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sun, 08 Apr 2012 13:18:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ola Lundqvist <ola@inguza.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sun, 08 Apr 2012 13:18:32 GMT) Full text and rfc822 format available.

Message #206 received at 654924@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,654924@bugs.debian.org,Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sun, 8 Apr 2012 14:44:53 +0200 (GMT+02:00)
[Message part 1 (text/plain, inline)]
Good point. vnc.so makes this harder.

/ Ola

Sent from my phone



-----Original Message-----
From: Joachim Falk <joachim.falk@gmx.de>
To: Ola Lundqvist <ola@inguza.com>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 654924@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>
Sent: Sun, 08 Apr 2012 12:56
Subject: Re: Bug#654924: Inclusion of TigerVNC sources

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Mike, Ola,

Am 07.04.2012 22:37, schrieb Ola Lundqvist:
> Mike Gabriel wrote:
>
>> Hi Joachim,
>> 
>> On Sa 07 Apr 2012 22 <tel:201222>:10:26 CEST Joachim Falk wrote: 
[SNIP]
>>> The git subproject is hardcoded to this version. Of course if
>>> you built for wheezy the subproject should be changed to pick up
>>> the xorg version of wheezy. Furthermore, the symlink xserver.patch
>>> has to be adjusted accordingly.
>> 
>> As we prepare packages for Debian wheezy and have to move the package 
>> into unstable first, we have to use Xorg from unstable.
>
> You do not necessarily need to use the same, even though it is a good
> starting point. As you can see from vnc4 I still use xfree, not even
> xorg...
Well, you also have disabled vnc.so. If you don't use the current X11
server of the distribution, then a working vnc.so is not guaranteed.
Well, we also could investigate to build vnc.so and only vnc.so against
the installed xserver-xorg-dev.

Regards,
Joachim

P.S.: I created a squeeze-backports branch

- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPgW7mAAoJEIjUIAk+3OYMaowP/i/ZGI/403QJD2WUnu+d+FGd
xfQ0fvukXA5sGb/3sMrS32PkAgjVASpTXYLtO7TA7X7PEZil7k2JtYEi6rtfV9IG
QVp4pEQpIUzgpoBocsWSijt7VV5tp32HE3KM09cvmcawsZ1R95mwSg+wi713mwWc
peM74NSGKYFGkcPqemDdyNrBkBMrUVd9ygye3S+Xl9DAEhdWAaAOcpYaAfpemFZj
zFlyu8mpAdKRreCNe8aj5J+8hPnWvGwbiCJMHLVVL+JjpDAwX8zbhC5nCS9d8nOX
O0GQRzIvBpo11vS0BHYs6+DhbMcTvd5kO6uNAqagHy7Yogsm9OU9xAMPu8iv1dVd
9vDW5th1mBm7Jr/0OBm9fvqxMYWXCRi+yolM2G2EkKlfDIjU3wJUBqMRaT5cCQ3P
gw/zD5lYRAxt32PiYpaCUh8jEC3B/Jbig+0pf1XKBVTe8fC4rNQ6pzYejK/khwbV
RflUR6KI7bLwDeFoK+44RO8tzivG58pVeVaJEMROfxMtGo8hvcz2UVhJMUc7bi5u
FCfPru7AYkQN8pIPJHlqxrhWMTIYppv481YDH2zOavxGkdR+IdwMTC3i25yiK9LQ
pjQxSXRupDrnlMZbJipmo1sxaeSLgg+DA2SdITtrP2D60+F3nFskMqZFYtpAUb/G
X3vQEwhIsSpMf61PWdrh
=kPBY
-----END PGP SIGNATURE-----

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Sun, 08 Apr 2012 14:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 08 Apr 2012 14:45:02 GMT) Full text and rfc822 format available.

Message #211 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org
Cc: Ola Lundqvist <ola@inguza.com>, Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sun, 08 Apr 2012 16:40:51 +0200
[Message part 1 (text/plain, inline)]
Hi Joachim, hi Ola,

On So 08 Apr 2012 12:56:48 CEST Joachim Falk wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Hi Mike, Ola,
>
> Am 07.04.2012 22:37, schrieb Ola Lundqvist:
>> Mike Gabriel wrote:
>>
>>> Hi Joachim,
>>>
>>> On Sa 07 Apr 2012 22 <tel:201222>:10:26 CEST Joachim Falk wrote:
> [SNIP]
>>>> The git subproject is hardcoded to this version. Of course if
>>>> you built for wheezy the subproject should be changed to pick up
>>>> the xorg version of wheezy. Furthermore, the symlink xserver.patch
>>>> has to be adjusted accordingly.
>>>
>>> As we prepare packages for Debian wheezy and have to move the package
>>> into unstable first, we have to use Xorg from unstable.

First of all, the current HEAD of master branch is momentarily broken  
and does no build. It got to late last night / morning, so sorry for  
leaving an open building site... Will continue tonight, probably.

>> You do not necessarily need to use the same, even though it is a good
>> starting point. As you can see from vnc4 I still use xfree, not even
>> xorg...

> Well, you also have disabled vnc.so. If you don't use the current X11
> server of the distribution, then a working vnc.so is not guaranteed.
> Well, we also could investigate to build vnc.so and only vnc.so against
> the installed xserver-xorg-dev.

This is a question I have right from the beginning... Do we really  
need the xorg-server code in the package??? Can we not build against  
Xorg's -dev packages in Debian instead? I have been involved in  
providing packages for NX server where we face a very similar  
situation. NX server is currently rejected by Debian as it comes with  
an old and unpatched (no security patches applied that have been  
applied to Xorg since 6.9) X11 source tree.

> Regards,
> Joachim
>
> P.S.: I created a squeeze-backports branch

Great!

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sun, 08 Apr 2012 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sun, 08 Apr 2012 15:09:03 GMT) Full text and rfc822 format available.

Message #216 received at 654924@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org, Ola Lundqvist <ola@inguza.com>, Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sun, 8 Apr 2012 17:06:46 +0200
Hi Mike

If you can build it against xorg dev package that would be
very good.

For vnc4 and tightvnc it is not possible due to various
reasons, but for tigervnc I do not know.

For vnc.so I think it should be possible, but to build a
Xvnc binary I do not know.

Best regards,

// Ola

On Sun, Apr 08, 2012 at 04:40:51PM +0200, Mike Gabriel wrote:
> Hi Joachim, hi Ola,
> 
> On So 08 Apr 2012 12:56:48 CEST Joachim Falk wrote:
> 
> >-----BEGIN PGP SIGNED MESSAGE-----
> >Hash: SHA1
> >
> >Hi Mike, Ola,
> >
> >Am 07.04.2012 22:37, schrieb Ola Lundqvist:
> >>Mike Gabriel wrote:
> >>
> >>>Hi Joachim,
> >>>
> >>>On Sa 07 Apr 2012 22 <tel:201222>:10:26 CEST Joachim Falk wrote:
> >[SNIP]
> >>>>The git subproject is hardcoded to this version. Of course if
> >>>>you built for wheezy the subproject should be changed to pick up
> >>>>the xorg version of wheezy. Furthermore, the symlink xserver.patch
> >>>>has to be adjusted accordingly.
> >>>
> >>>As we prepare packages for Debian wheezy and have to move the package
> >>>into unstable first, we have to use Xorg from unstable.
> 
> First of all, the current HEAD of master branch is momentarily
> broken and does no build. It got to late last night / morning, so
> sorry for leaving an open building site... Will continue tonight,
> probably.
> 
> >>You do not necessarily need to use the same, even though it is a good
> >>starting point. As you can see from vnc4 I still use xfree, not even
> >>xorg...
> 
> >Well, you also have disabled vnc.so. If you don't use the current X11
> >server of the distribution, then a working vnc.so is not guaranteed.
> >Well, we also could investigate to build vnc.so and only vnc.so against
> >the installed xserver-xorg-dev.
> 
> This is a question I have right from the beginning... Do we really
> need the xorg-server code in the package??? Can we not build against
> Xorg's -dev packages in Debian instead? I have been involved in
> providing packages for NX server where we face a very similar
> situation. NX server is currently rejected by Debian as it comes
> with an old and unpatched (no security patches applied that have
> been applied to Xorg since 6.9) X11 source tree.
> 
> >Regards,
> >Joachim
> >
> >P.S.: I created a squeeze-backports branch
> 
> Great!
> 
> Greets,
> Mike
> 
> -- 
> 
> DAS-NETZWERKTEAM
> mike gabriel, dorfstr. 27, 24245 barmissen
> fon: +49 (4302) 281418, fax: +49 (4302) 281419
> 
> GnuPG Key ID 0xB588399B
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
> 
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb



-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sun, 08 Apr 2012 16:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sun, 08 Apr 2012 16:57:06 GMT) Full text and rfc822 format available.

Message #221 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: ola@inguza.com, 654924@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sun, 08 Apr 2012 18:53:20 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Mike, Ola

Am 08.04.2012 17:06, schrieb Ola Lundqvist:
> Hi Mike
>
>> Mike Gabriel wrote:
>>> Joachim Falk wrote:
>>> Well, you also have disabled vnc.so. If you don't use the current
>>> X11 server of the distribution, then a working vnc.so is not
>>> guaranteed. Well, we also could investigate to build vnc.so and
>>> only vnc.so against the installed xserver-xorg-dev.
>>
>> This is a question I have right from the beginning... Do we really
>> need the xorg-server code in the package??? Can we not build against
>> Xorg's -dev packages in Debian instead? I have been involved in
>> providing packages for NX server where we face a very similar
>> situation. NX server is currently rejected by Debian as it comes
>> with an old and unpatched (no security patches applied that have
>> been applied to Xorg since 6.9) X11 source tree.
> If you can build it against xorg dev package that would be
> very good.
> 
> For vnc4 and tightvnc it is not possible due to various
> reasons, but for tigervnc I do not know.
> 
> For vnc.so I think it should be possible,
It should be possible, but it will require hackery of
tigervnc/unix/xserver/hw/vnc/Makefile.am

> but to build a Xvnc binary I do not know.
nope. That is not possible:

- From xorg-server/configure.ac:
==============================
#
# XSERVER_LIBS is the set of in-tree libraries which all servers
# require.
# XSERVER_SYS_LIBS is the set of out-of-tree libraries which all servers
# require.
#
XSERVER_CFLAGS="${XSERVER_CFLAGS} ${XSERVERCFLAGS_CFLAGS}"
XSERVER_LIBS="$DIX_LIB $MI_LIB $OS_LIB"
XSERVER_SYS_LIBS="${XSERVERLIBS_LIBS} ${SYS_LIBS} ${LIBS}"
AC_SUBST([XSERVER_LIBS])
AC_SUBST([XSERVER_SYS_LIBS])

- From tigervnc/unix/xserver/hw/vnc/Makefile.am:
==============================================

bin_PROGRAMS = Xvnc

man1_MANS = Xvnc.man

Xvnc_SOURCES = xvnc.cc \
        $(top_srcdir)/Xi/stubs.c $(top_srcdir)/mi/miinitext.c \
        $(top_srcdir)/fb/fbcmap_mi.c buildtime.c <= USES IN TREE SOURCES

nodist_Xvnc_SOURCES = fbrop.h fb.h pixman.h

Xvnc_CPPFLAGS = $(XVNC_CPPFLAGS) -DTIGERVNC -DNO_MODULE_EXTS \
        -UHAVE_CONFIG_H \
        -DXFree86Server -DVENDOR_RELEASE="$(VENDOR_RELEASE)" \
        -DVENDOR_STRING="\"$(VENDOR_STRING)\"" -I$(TIGERVNC_SRCDIR)/common \
        -I$(top_srcdir)/include ${XSERVERLIBS_CFLAGS} -I$(includedir)

Xvnc_LDADD = $(XVNC_LIBS) libvnccommon.la $(COMMON_LIBS) \
        $(XSERVER_LIBS) $(XSERVER_SYS_LIBS) $(XVNC_SYS_LIBS) -lX11
        <= USES IN TREE LIBS THAT ARE NOT INSTALLED

Xvnc_LDFLAGS = $(LD_EXPORT_SYMBOLS_FLAG)

So, as we require the Xserver in tree anyway, I did not bother to
build vnc.so against xserver-xorg-dev.

Regards,
Joachim
- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPgcJ3AAoJEIjUIAk+3OYMiVEP/i4cCAHLJdXwtTyf7jT1gg3e
9IOado7j80uelzCS6eE1T9TdvSZzLlSwErJHc3yuQ/+ik5nBxTjtkJoz4601bVPp
Qdt+nDanl5cHBYoCrEObvjjXnNrPqsao3XvCiWrnXCqqu1ZPnvqOICTlcXIQwSLo
w5gMMUD0GLvZ6MNIiNUlZSBeP7arYgSIPx44vMeoKq/5Ulpa9XADsITxL84xPjW+
s5d6/it+f6Sxi5bWFVdUTdW1VTqheC8rUrlkpu6OpP8xmgy+1Bz5h0yizhm7BBh8
YAqmKZm/g+IvWlb40P5YqlTS7qVLcG6PfUYkcKIB+vaDfGNxzBHNRpiDIo8Vg2SI
X/VYUu4Nb7Ow1N5pykhudSuTQ1PlHWXMTaYU0egZQyBT/4JUfM0NNF5dFQKCcAKD
cKIDuch3XXeqmWl/x/dNdrHe/6kE9FCW5CZunHzzFYqLyI76bcRxUNLfc+hz7qRU
IXN3S0VKyjeCtKzNVJntnHBIqiJ7G389EZyqPW06MTAftRwvt37XINmrI74dqWPJ
HSgTfLAwHIFridxX9m6M7HgPGO32CFf4QRA1RkcAbe8qsEyZrJoEHBgbN6ClzhDl
6PrHQiqeMalsQWqP1+OJvXBHeLQDxxLjSj5/rZAU6VWTz9D1JPyx5ABJNf1BwXTv
8HV4qq10jwyDY7NE8yV4
=c1mi
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Sun, 08 Apr 2012 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 08 Apr 2012 17:33:06 GMT) Full text and rfc822 format available.

Message #226 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: ola@inguza.com, 654924@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sun, 08 Apr 2012 19:28:45 +0200
[Message part 1 (text/plain, inline)]
Hi Joachim,

On So 08 Apr 2012 18:53:20 CEST Joachim Falk wrote:

> So, as we require the Xserver in tree anyway, I did not bother to
> build vnc.so against xserver-xorg-dev.

My vote is to leave it that way for now, as well. Hope the ftpmasters  
won't complain...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Sun, 08 Apr 2012 18:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 08 Apr 2012 18:03:06 GMT) Full text and rfc822 format available.

Message #231 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: Ola Lundqvist <ola@inguza.com>, 654924@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sun, 08 Apr 2012 20:02:18 +0200
[Message part 1 (text/plain, inline)]
Hi Joachim, hi all,

On So 08 Apr 2012 12:56:48 CEST Joachim Falk wrote:

>>> As we prepare packages for Debian wheezy and have to move the package
>>> into unstable first, we have to use Xorg from unstable.

The tigervnc package builds again on Debian sid. However, for a build  
on Debian squeeze (backport) we need the xorg-server from squeeze...

@Joachim: please take a look at the committed changes and give  
feedback. (It was a bit trial and error, sorry). Maybe you want to  
cherry-pick some commits to the squeeze-backports branch?

Will have to see to other things tonight and tomorrow, but will be  
happy about discussing the xorg and tigervnc code import and other  
changes I committed.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Sun, 08 Apr 2012 18:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 08 Apr 2012 18:15:02 GMT) Full text and rfc822 format available.

Message #236 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: ola@inguza.com, 654924@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>
Subject: Xorg newer than 1.10 not supported...
Date: Sun, 08 Apr 2012 20:11:32 +0200
[Message part 1 (text/plain, inline)]
Hi all,

<quote>
/usr/bin/make  all-am
make[4]: Entering directory  
`/home/mike/tmp/tigervnc/obj-x86_64-linux-gnu/unix/xserver/hw/vnc'
  CXX    libvnc_la-xf86vncModule.lo
  CXX    libvnccommon_la-vncExtInit.lo
../../../../../tigervnc/unix/xserver/hw/vnc/vncExtInit.cc: In function  
'void vncExtensionInit()':
../../../../../tigervnc/unix/xserver/hw/vnc/vncExtInit.cc:196:39:  
warning: deprecated conversion from string constant to 'char*'  
[-Wwrite-strings]
../../../../../tigervnc/unix/xserver/hw/vnc/vncExtInit.cc: In function  
'int ProcVncExtApproveConnect(ClientPtr)':
../../../../../tigervnc/unix/xserver/hw/vnc/vncExtInit.cc:965:39:  
warning: cast to pointer from integer of different size  
[-Wint-to-pointer-cast]
  CXX    libvnccommon_la-vncHooks.lo
In file included from  
../../../../../tigervnc/unix/xserver/hw/vnc/vncHooks.cc:28:0:
../../../../../tigervnc/unix/xserver/hw/vnc/xorg-version.h:40:2:  
error: #error "X.Org newer than 1.10 is not supported"
</quote>

ARGGGGGHHHH!!!!

Will have to fix this during ,,Tatort'' (German crime programme on TV).

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sun, 08 Apr 2012 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sun, 08 Apr 2012 18:57:03 GMT) Full text and rfc822 format available.

Message #241 received at 654924@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Joachim Falk <joachim.falk@gmx.de>, ola@inguza.com, 654924@bugs.debian.org
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sun, 8 Apr 2012 14:54:34 -0400
wild idea (sorry if I missed that brought up before):  since Debian
xorg-server packaging is under git, why not make xorg-server a submodule
pointing to the corresponding (might differ for
wheeze-vs-squeezebackport branches) treeish of
git://git.debian.org/git/pkg-xorg/xserver/xorg-server

then it would make it easy to stay up-to-date with Debian packaging
and bug fixes brought up to xorg-server package, reuse their
debian/copyright, and may be even more?

if needed I could take care about rewriting current pkg-tigervnc
eliminating current copy of xorg-server to minimize .git

cons:  not sure how well it would play with git-buildpackage, although I
see in its source code some logic to handle submodules, so it might be
all smooth and nice

On Sun, 08 Apr 2012, Mike Gabriel wrote:

> Hi Joachim,

> On So 08 Apr 2012 18:53:20 CEST Joachim Falk wrote:

> >So, as we require the Xserver in tree anyway, I did not bother to
> >build vnc.so against xserver-xorg-dev.

> My vote is to leave it that way for now, as well. Hope the
> ftpmasters won't complain...

> Mike
-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Sun, 08 Apr 2012 19:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 08 Apr 2012 19:09:05 GMT) Full text and rfc822 format available.

Message #246 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Yaroslav Halchenko <debian@onerussian.com>, 654924@bugs.debian.org
Cc: Joachim Falk <joachim.falk@gmx.de>, ola@inguza.com
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sun, 08 Apr 2012 21:04:50 +0200
[Message part 1 (text/plain, inline)]
Hi Yaroslav, hi Joachim,

On So 08 Apr 2012 20:54:34 CEST Yaroslav Halchenko wrote:

> wild idea (sorry if I missed that brought up before):  since Debian
> xorg-server packaging is under git, why not make xorg-server a submodule
> pointing to the corresponding (might differ for
> wheeze-vs-squeezebackport branches) treeish of
> git://git.debian.org/git/pkg-xorg/xserver/xorg-server
>
> then it would make it easy to stay up-to-date with Debian packaging
> and bug fixes brought up to xorg-server package, reuse their
> debian/copyright, and may be even more?
>
> if needed I could take care about rewriting current pkg-tigervnc
> eliminating current copy of xorg-server to minimize .git
>
> cons:  not sure how well it would play with git-buildpackage, although I
> see in its source code some logic to handle submodules, so it might be
> all smooth and nice

I have just moved the git submodule code out of the way in favour of  
tarball imports with pristine-tar. As far as I understand, the xorg  
source has to be in the package, not in Git though. Hmmm...

For being +/- independent from pkg-xorg Git changes the pristine-tar  
approach is probably better. The probability that such a Git change  
might occur is rather low, though.

Hmmm... hmmm... hmmm...

I am happy with any approach. I am just more used to handling things  
with pristine-tar...

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sun, 08 Apr 2012 19:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sun, 08 Apr 2012 19:36:05 GMT) Full text and rfc822 format available.

Message #251 received at 654924@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 654924@bugs.debian.org, Joachim Falk <joachim.falk@gmx.de>, ola@inguza.com
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Sun, 8 Apr 2012 15:33:33 -0400
> I am happy with any approach. I am just more used to handling things
> with pristine-tar...

yes -- this would probably be the easiest/most straightforward way at
the moment, so just keep it this way, and let me just blurb about this
alternative approach I had in mind:

> I have just moved the git submodule code out of the way in favour of
> tarball imports with pristine-tar. As far as I understand, the xorg
> source has to be in the package, 

one shouldn't affect the other directly, although lack of
submodules support in pristine-tar (as far I see it being absent) might
be an obstacle.  What I thought is to have

xorg-server/  --  submodule in git

orig.tar.gz tarball containing full source tree including content of
   xorg-server/

so the problem (nuisance) only would be the fact that pristine-tar
seems to don't know (from a quick grep) about submodules so I guess its
delta would be quite big, thus reducing the convenience of having that
submodule in the first place.

> For being +/- independent from pkg-xorg Git changes the pristine-tar
> approach is probably better. The probability that such a Git change
> might occur is rather low, though.

sorry -- what kind of changes did you have in mind?

atm everything seems to be "in sync":

(git)novo:~/deb/perspect/tigervnc/pkg-tigervnc[master]git
$> diff --exclude .git -Naur xorg-server /tmp/xorg-server | lsdiff 
$> GIT_DIR=/tmp/xorg-server/.git git describe 
xorg-server-2_1.11.4-1


-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Mon, 09 Apr 2012 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Mon, 09 Apr 2012 06:33:03 GMT) Full text and rfc822 format available.

Message #256 received at 654924@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 654924@bugs.debian.org, Joachim Falk <joachim.falk@gmx.de>, ola@inguza.com
Subject: Re: Bug#654924: Inclusion of TigerVNC sources
Date: Mon, 9 Apr 2012 08:31:02 +0200
Hi

How dependent is the patched xorg code on the tigervnc source? Is it
so that we could provide a -dev module from tigervnc that we could
use from xorg source? In the past they have been extremely dependent
on each other but I do not know if that has changed.

// Ola

On Sun, Apr 08, 2012 at 03:33:33PM -0400, Yaroslav Halchenko wrote:
> > I am happy with any approach. I am just more used to handling things
> > with pristine-tar...
> 
> yes -- this would probably be the easiest/most straightforward way at
> the moment, so just keep it this way, and let me just blurb about this
> alternative approach I had in mind:
> 
> > I have just moved the git submodule code out of the way in favour of
> > tarball imports with pristine-tar. As far as I understand, the xorg
> > source has to be in the package, 
> 
> one shouldn't affect the other directly, although lack of
> submodules support in pristine-tar (as far I see it being absent) might
> be an obstacle.  What I thought is to have
> 
> xorg-server/  --  submodule in git
> 
> orig.tar.gz tarball containing full source tree including content of
>    xorg-server/
> 
> so the problem (nuisance) only would be the fact that pristine-tar
> seems to don't know (from a quick grep) about submodules so I guess its
> delta would be quite big, thus reducing the convenience of having that
> submodule in the first place.
> 
> > For being +/- independent from pkg-xorg Git changes the pristine-tar
> > approach is probably better. The probability that such a Git change
> > might occur is rather low, though.
> 
> sorry -- what kind of changes did you have in mind?
> 
> atm everything seems to be "in sync":
> 
> (git)novo:~/deb/perspect/tigervnc/pkg-tigervnc[master]git
> $> diff --exclude .git -Naur xorg-server /tmp/xorg-server | lsdiff 
> $> GIT_DIR=/tmp/xorg-server/.git git describe 
> xorg-server-2_1.11.4-1
> 
> 
> -- 
> =------------------------------------------------------------------=
> Keep in touch                                     www.onerussian.com
> Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic
> 

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654924; Package wnpp. (Tue, 10 Apr 2012 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 10 Apr 2012 06:51:03 GMT) Full text and rfc822 format available.

Message #261 received at 654924@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Joachim Falk <joachim.falk@gmx.de>, 654924@bugs.debian.org
Cc: ola@inguza.com, Yaroslav Halchenko <debian@onerussian.com>
Subject: Latest efforts on TigerVNC (was Re: Bug#654924: Inclusion of TigerVNC sources)
Date: Tue, 10 Apr 2012 08:46:51 +0200
[Message part 1 (text/plain, inline)]
Hi Joachim, hi all,

Yesterday I played with several things that are still a showstopper  
for upload to Debian...

1. Name of the tarballs...

After doing some reading on multiple tarballs, I adapted the tarball  
names spit out by debian/rules get-orig-source. These still have to be  
imported on top of the former orig tarballs. They probably should be  
imported in a branch called ,,upstream'' (not into to separate  
branches).

2. source/format -> 3.0 (quilt)

I tried switching to source format 3.0 (quilt) which fails to work.  
There is something odd with dpkg-source -b, the patches and the source  
format. dpkg-source tries to apply patches twice and fails the second  
time. Not sure why. I first thought that this was due to the CDBS  
packaging (I lack experience with that), so I tested the whole thing  
with a minmal debhelper debian/rules file. However, this also failed  
with 3.0 (quilt) source format.

3. copyright file

The copyright converge against becoming complete...

4. shipped libraries: zlib, libfltk

I have removed the zlib library in tigervnc/common/zlib from the  
source tree as CMake successfully builds+links against the system's  
zlib if the folder is missing. Something similar should be achieved  
for libfltk. The latter also is in Debian, so we should try to  
build+link against that one (in sid, there actually are two version of  
libfltk -> libfltk1.1 and libfltk1.3).

I guess all other directories / libraries in tigervnc/common are part  
of vnc and have to stay there.

@Joachim: maybe you could take a look at this and see what is  
hindering the CMake files to build against the system's libfltk1.3?

5. One cannot build packages twice from the same working copy

An issue we also have to address is this: one cannot clone the source  
tree from Git and run debuild on that one more than once.

6. Using packaging mailing list for tigervnc?

I guess we should not overload BTS with these kinds of mails. I have  
created this list on Alioth for further discussions on TigerVNC  
packaging:
pkg-tigervnc-devel@lists.alioth.debian.org

The list will be available in a couple of hours, please everyone get  
subscribed to it if interested.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Thu, 19 Apr 2012 08:33:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Europe" <vicky@smbippbx.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Thu, 19 Apr 2012 08:33:15 GMT) Full text and rfc822 format available.

Message #266 received at 654924@bugs.debian.org (full text, mbox):

From: "Europe" <vicky@smbippbx.com>
To: 654924@bugs.debian.org
Subject: voip solution
Date: Thu, 19 Apr 2012 16:10:51 +0800
[Message part 1 (text/plain, inline)]
Dear Product Manager,
Nice to know you are in VOIP industry with great reputation. 
This is Vicky. we are wondering if there is any room for cooperation?
Our company is a manufacturer specializing in voip field for several years, producing IP PBX, GSM gateway, digital fax for SMB with excellent qualities and competitive prices. We also provide you top technical support and services. 

Our bestselling device IP PBX is a flexible product that supports PSTN,GSM and SIP trunks with FXS / FXO / PRI / BRI (ISDN) ports. It is embedded hybrid IP-PBX which caters for the small businesses less than100 users. It has a series of versions as well as a user-friendly interface to facilitate configuration. 

It can support multiple languages now including French,Italian,Chinese, English, Hebrew, Portuguese, Russian, Spanish. Also, Voice Prompts of Danish,Dutch,Finnish,Flemish,German,Greek,Hungarian,Norwegian,Polish,Swedish has been added as well.
Please note that Auto Provision for Snom phones is supported now!!!

Looking forward to hearing from you soon

Feel free to let me know if you have any questions
Looking forward to hearing from you soon  
Best Regards,



Vicky
[Message part 2 (text/html, inline)]
[MyPBX-Pro-01(10-(03-28-11-54-44).jpg (image/jpeg, inline)]
[未命名.jpg (image/jpeg, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Wed, 25 Apr 2012 16:09:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Ossman <ossman@cendio.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Wed, 25 Apr 2012 16:09:31 GMT) Full text and rfc822 format available.

Message #271 received at 654924@bugs.debian.org (full text, mbox):

From: Pierre Ossman <ossman@cendio.se>
To: tigervnc-devel@lists.sourceforge.net
Cc: joachim.falk@gmx.de, Yaroslav Halchenko <debian@onerussian.com>, 654924@bugs.debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Re: [Tigervnc-devel] Bug#654924: Alioth Projekt genehmigt
Date: Wed, 25 Apr 2012 17:44:32 +0200
[Message part 1 (text/plain, inline)]
On Fri, 06 Apr 2012 20:13:46 +0200
Joachim Falk <joachim.falk@gmx.de> wrote:

> 
> Furthermore, I have attached the fix for the benefit of tigervnc-devel.
> 

Hi Joachim,

Thanks for the patch. I've committed a slightly tweaked one to trunk.
I'm also having a look at fixing the same problem in the logging
facilities.

Rgds
-- 
Pierre Ossman            OpenSource-based Thin Client Technology
System Developer         Telephone: +46-13-21 46 00
Cendio AB                Web: http://www.cendio.com

A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'ITP: tigervnc -- High-speed Virtual Network Computing (VNC)' from 'ITP: tigervnc -- High-performance, platform-neutral implementation of VNC (Virtual Network Computing)' Request was from bartm@knars.be to control@bugs.debian.org. (Thu, 07 Jun 2012 12:57:48 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Sun, 01 Jul 2012 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Falk <joachim.falk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Sun, 01 Jul 2012 17:15:03 GMT) Full text and rfc822 format available.

Message #278 received at 654924@bugs.debian.org (full text, mbox):

From: Joachim Falk <joachim.falk@gmx.de>
To: 654924@bugs.debian.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Package ready, upload rights required
Date: Sun, 01 Jul 2012 19:13:21 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

OK people,

the package seems to be ready, for wheezy and squeeze, c.f.,

  http://xiao.jfalk.de/~joachim/tigervnc

I have tested it and have a tigervnc server running in my
Wheezy/testing install. It also builds on SID. We now
require upload rights or a sponsor. I am not to knowledgeable
how this works. Anybody here want to comment or sponsor?
It is kind of urgent as the freeze was on 30.6.2012.

Regards,
Joachim Falk
- -- 
Joachim Falk <Joachim.Falk@gmx.de>

You can always tell a really good idea by the enemies it makes.
  --programmers' axiom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJP8IUmAAoJEIjUIAk+3OYM50MP/3LuwcKOzE2HhdaTvmG+2vbW
6gRkWOXNFZySrsGLkIJibi9xmp/fn7C3LTH0BeU0BxOpgK1pnYtlJegrYI8u/Xor
TTCam5Rw2nZZTGVf4O9Wu2Q49hcwCzxztevCSgz/8zODtZyR0mWdsyiEg6G57x3z
ZKSwybqEQSGD41tknKXo/1OwOsPKbKOi4/S8Hk2L2NKTjumPf011VNrifl6dKsdR
sSnsYhozSUHAsZ+xMpZTv8upCGixTeTPan43y5qzQSZzrLbDSavz/5IfdDa+GAnT
Nkr7aIqWxhNUZMZZikybZDNgjmUl0VKtYkVX5UcwAlWUd3r2JT7sX0zIVyOy/Dbm
G9LdpVuGHCROEAWyzuWnXjY2ZwKCILHJxlIzMGAsk7Dm91ZulH1Yc6WimMiZuGn6
T6lyJx5XQgBjvrDRIej3zB8CgEidEvVrFLdGM7xCwhxt06zMv77xF2LhJqCbZpU5
XlgkGqLfoSQhsg+uT1EvMFc4s5OFJS8VhEV5cMbItBBSyUlyTAEz/hxfojgDw3n9
k1RwtDLxwQ4AqiNTHvRsnJ4fZmXaCSBriS4z1WgLqVJ07OXXY4S/nNXyIV749Bsh
C6oxr3WtugauJ2cmrjbBFp35bPTnrEYVrx0t1Y3G9HEH2jEn/kHSmH+yBXulHcSq
xNhmL+xRqK7Q/V0vuqvh
=Uaap
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#654924; Package wnpp. (Wed, 02 Apr 2014 22:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holly Churchwell <hchurchwell@lutheran-homes.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Wed, 02 Apr 2014 22:21:05 GMT) Full text and rfc822 format available.

Message #283 received at 654924@bugs.debian.org (full text, mbox):

From: Holly Churchwell <hchurchwell@lutheran-homes.org>
Subject: My dear in the Lord
Date: Wed, 2 Apr 2014 15:52:11 -0500
Although, I am not comfortable discussing the content of my mail on the Internet owing to lots of unsolicited/Spam
mails on the net nowadays.  Anyway, I have made up my mind to will my late Husband's funds  to you so you can use it for charity  duties and good work to humanity in your country. The amount is relatively huge, but please get
back to me on my personal and secured email  address ( begoodtoall@outlook.com<mailto:begoodtoall@outlook.com> ) for further information.
God bless you.
Mrs. Jeneth Holly Churchwell.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:43:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.